﻿<%@ page language="java" pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
      .a{
       font-family: Arial, Helvetica, sans-serif;
	   font-size: 33px;
	   line-height: 40px;
	   font-weight: bold;
	   color: #006600;
	   background-image: url(images/menu_bg2.gif);
	   background-repeat: no-repeat;
	   text-align: center;
	   display: block;
	   text-decoration: none;
     }
    </style>
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/jquery.easyui.min.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/JCbaojing.js"></script>
    <script type="text/javascript" src="../js/jianyi.js"></script>
     <script type="text/javascript" src="../js/zDialog.js"></script>
      <script type="text/javascript" src="../js/zDrag.js"></script>
    <script type="text/javascript">
       var chartlst=[];var chartlsts=[];var state = 19;
               function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
		function initpolygon1(names,arrs,image) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#00FF00','#0000FF','#00FFFF','#FFFFFF','#FFFF00']
            });
            var polygonchart = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygon1',
                    plotBackgroundImage: image,
                    backgroundColor:'#204120',
                    zoomType:'xy'
                },

                title: {
                    text: '坝体表面水平位移鸟瞰图'
                    //style:{color:'white',fontSize:'50px'}
                },
                xAxis: {
                	min: 4190110, //纵轴的最小值
                	max: 4190970, //纵轴的最大值
                    title: {
                        text: 'y(米)'
                    },
                    gridLineWidth: 0,
                    tickmarkPlacement: 'on'
                },
                yAxis: {

                   //tickInterval:20, //自定义刻度
                    max: 1346450, //纵轴的最大值
                    min: 1346250, //纵轴的最小值
                    gridLineWidth: 0,
                    title: {//纵轴标题
                        rotation: 0,
                        text: 'x<br/>（米）'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        this.series.name ;
                    }
                },
                credits: {
                    enabled: false
                },
                plotOptions: {
                    series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    }
                },
                legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 70,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:10,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: names[2],
		                type:'spline',
		                data: arrs[2]
	                },{
	                    name: names[3],
	                    type: 'spline',
	                    data: arrs[3]
	                },{
	                    name: names[4],
	                    type: 'spline',
	                    data: arrs[4]
	                },{
	                    name: names[5],
	                    type: 'spline',
	                    data: arrs[5]
	                },{
	                    name: names[6],
	                    type: 'spline',
	                    data: arrs[6]
	                },{
	                    name: names[7],
	                    type: 'spline',
	                    data: arrs[7]
	                },{
	                    name: names[8],
	                    type: 'spline',
	                    data: arrs[8]
	                },{
	                    name: names[9],
	                    type: 'spline',
	                    data: arrs[9]
	                },{
	                    name: names[10],
	                    type: 'spline',
	                    data: arrs[10]
	                },{
	                    name: names[11],
	                    type: 'spline',
	                    data: arrs[11]
	                }]
            });
 				chartlst.push(polygonchart);
				
        }
		
		
        function initpolygon1detail(polygon,color,sensorname,arr1,arr2,alarm1s) {
            Highcharts.setOptions({
                colors: ['yellow', 'blue', 'red']
            });
           var  polygonchart1 = new Highcharts.Chart({
                chart: {
                   	renderTo: polygon,
                    backgroundColor:color,
                    type: 'spline',
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname);
                        }
                    }
                },
                title: {
                    text: sensorname+'传感器位置变化量'
                },
                xAxis: {
                	type:'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                   // tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                     second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y' 
		             }                 
                },
                yAxis: {
                    //tickInterval: 0.002,
                    //min:0,
                    title: {
                        rotation: 0,
                        text: '毫<br/>米'
                    }
                },
                tooltip: {
                    formatter: function () {
                   		 return "时间："+ Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ' <b>变化量: ' + this.y+ '毫米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
		                name: sensorname+"(x)",
		                type:'spline',
		                data: arr1
	                },{
	                    name: sensorname+"(y)",
	                    type: 'spline',
	                    data: arr2
	                },/*{
		                name: sensorname+"(z)",
		                type:'spline',
		                data: arr3
	                },*/{
	                    name: "警戒线",
	                    type: 'line',
	                    data: alarm1s
	                }]
            });
            chartlsts.push(polygonchart1);
        }
        $(function () {
            updatedata();
            updatedatas();
        });
        function updatedata()
        {
	           			$.ajax({
		    				url:"batidibiaoweiyiTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    					var arrs = [];
								var names = [];
								$.each(datas.list,function(j,sensor){
										var xvalue = parseFloat(sensor.address2.toString());//初始x轴
										var yvalue = parseFloat(sensor.notalarmvalue.toString());//初始y轴
										var x = parseFloat(sensor.bzuobiao.toString());//位移x轴
										var y = parseFloat(sensor.czuobiao.toString());//位移y轴
										var xchange = parseFloat(sensor.state.toString());//x轴变化量
										var ychange = parseFloat(sensor.values1.toString());//y轴变化量
										var arr = [];
										var image = "url(../images/angle/blue.png)";
										arr.push({x:xvalue, y: yvalue, marker: {symbol: image}});
										var image1 = "url(../images/angle/puple.png)"; 
										arr.push({x:x,y:y,marker: {symbol: image1}});
										arrs[j]=arr;
										names[j]=sensor.name+":x("+(xchange)+")|y("+(ychange)+")";
										if(datas.list.length==(j+1)){
											var image = "../images/dibiaoweiyi1.JPG";
											initpolygon1(names,arrs,image);
										}
										//chartlst[0].addSeries({name:sensor.name,type:'scatter',data:arr});
								});
		    				}
	    				});
        }
        
        function updatedatas()
        {
	           			$.ajax({
		    				url:"batidibiaoweiyiTBLS.action",
		    				type:"post",
		    				async:false,
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								$.each(datas.list,function(j,value){
										var arr1 =[];var arr2 =[];
										var alarm1s = [];var alarm2s = [];var alarm3s = [];
										var alarm1 = parseFloat(value.alarm1.toString());
										var alarm2 = null;var alarm3 = null;
										if(value.alarm2){
										   alarm2 = parseFloat(value.alarm2.toString());
										   if(value.alarm3){
										      alarm3 = parseFloat(value.alarm3.toString());
										   }
										}
										$.each(value.data,function(m,value2){
											var jctime =  parseFloat(value2.jctime.toString())+3600*8000;
											var value_1 = null;
											var value_2 = null;
											if(value2.value!=null){
												value_1  = parseFloat(value2.value.toString());
											}if(value2.value1!=null){
												value_2  = parseFloat(value2.value1.toString());
											}if(value2.value2!=null){
												value_3  = parseFloat(value2.value2.toString());
											}
											arr1.push({x:jctime,y:value_1});
											arr2.push({x:jctime,y:value_2});
											alarm1s.push({x:jctime,y:alarm1});
											alarm2s.push({x:jctime,y:alarm2});
											alarm3s.push({x:jctime,y:alarm3});
										});
										var ifbj = parseFloat(value.ifbj.toString());
										var ifguzhang = parseFloat(value.ifguzhang.toString());
										var color = "#204120";
                                        if(ifguzhang==1)color = "#cccccc";
										if(ifbj==1)color = "#EA0000";
										initpolygon1detail("polygon1detail"+(j+1),color,value.name,arr1,arr2,alarm1s);
										if(alarm2!=null){
										  chartlsts[j].addSeries({name:"警戒线2",type:'spline',data:alarm2s,color:"red"});
										  if(alarm3!=null){
										    chartlsts[j].addSeries({name:"警戒线3",type:'spline',data:alarm3s,color:"red"});
										  }
										}
										//chartlsts[j].addSeries({name:value.name+"x变化量",type:'spline',data:arr1});
										//chartlsts[j].addSeries({name:value.name+"y变化量",type:'spline',data:arr2});
										//chartlsts[j].addSeries({name:value.name+"z变化量",type:'spline',data:arr3});
								});
		    				}
	    				});
        }
       function initialize(sensorname){
      	  //var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	  Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
       function windowopen(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	var url = "batidibiaoweiyiXX";
            	//Comment1("btdbwyMyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("btdbwyMyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){
							//var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCbatidibiaoweiyi.action",
								type : "post",
								data : "reason=null" + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										Dialog.alert("解除成功",function(){window.location.href="../tubiao/batidibiaoweiyi.jsp";});
										//$("#Button").unbind('click');
										//$("#msgbox").hide();
										
									} else {
										Dialog.alert("非报警状态,不能解除");
									}
							}
							});

       }
    </script>
</head>
<body background="../images/about/bj.jpg" >
    <br>
    <div class="a">主坝体表面水平位移</div>
    <div id="polygon1" class="chart1" style="width: 98%;">
                       正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
    </div>

    <div id="polygon1detail1" style="width: 49%" class="chart" >
           
    </div>
    <div id="polygon1detail2" style="width: 49%" class="chart" >
   
    </div>
    <div id="polygon1detail3" style="width: 49%" class="chart" >
    
    </div>
     <div id="polygon1detail4" style="width: 49%" class="chart" >
   
    </div>
    <div id="polygon1detail5" style="width: 49%" class="chart" >
   
    </div>
    <div id="polygon1detail6" style="width: 49%" class="chart" >
   
    </div>
    <div id="polygon1detail7" style="width: 49%" class="chart" >
   
    </div>
    <div id="polygon1detail8" style="width: 49%" class="chart" >
   
    </div><div id="polygon1detail9" style="width: 49%" class="chart" >
   
    </div><div id="polygon1detail10" style="width: 49%" class="chart" >
   
    </div><div id="polygon1detail11" style="width: 49%" class="chart" >
   
    </div><div id="polygon1detail12" style="width: 49%" class="chart" >
   
    </div>
    
     <div id="msgbox" ></div>
</body>
</html>
