<%@ page language="java"  pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>提示信息框</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <script type="text/javascript" src="../js/JQUERY-1.9.0.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/exporting.js"></script>
    <script type="text/javascript" src="../js/grid.js"></script>
    <script language="javascript" src="../js/Calendar3.js"></script>
	<script type="text/javascript">
	     $(function () {
       		 initpolygondetail("详细图表"); 
       		 updatedata();
       		 updatedatas("1","1");
         });
		var chartlst=[];
		function initpolygondetail(title) {
            Highcharts.setOptions({
                colors: ['#7798BF', 'blue', '#fd09d2', 'green'],
                lang:{
                    contextButtonTitle:'导出',
					decimalPoint:'.',
					downloadPNG:'下载PNG图片',
					downloadJPEG:'下载JPG图片',
					downloadPDF:'下载PDF文件',
					exportButtonTitle:'导出...',
					loading:'请稍等...',
					months:['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
					printChart:'打印图表',
					resetZoom:'还原图表',
					resetZoomTitle:'还原图表为1:1大小',
					thousandsSep:',',
					weekdays:['Sun', 'Mon', 'Tues', 'Wednes', 'Thurs', 'Fri', 'Satur']
				  }
            });
            var polygondetailchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'spline',
                    zoomType:'xy'
                },

                title: {
                    text: title
                },
                 xAxis: {
                	type :'datetime',
                    title: {
                        text: '时间'
                    },
                   tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000  ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             }                 

                },
                yAxis: {
                   	//tickInterval: 30,
                    //max: 114,
                    //min: 84,
                    title: {
                    	rotation: 0,
                        text: '厘<br/>米'
                    }
                },
                 tooltip: {
               		enabled: true,
                    formatter: function () {
                        return '传感器：' +
                        this.series.name + '数值: ' + this.y + '      ' +"时间："+ ((new Date(this.x)).getYear()) +"年"+((new Date(this.x)).getMonth()+1) +"月"+((new Date(this.x)).getDate())+"日"+((new Date(this.x)).getHours())+"时";
                    }
                },
                plotOptions: {
                line: {
                    dataLabels: {
                        enabled: true
                    },
                    enableMouseTracking: true
                	}
          		},
                credits: {
                    enabled: false
                },
                series: []
            });
            
            chartlst.push(polygondetailchart);
        }
         function updatedata()
        {
       			$("#Button").click(
						function() {
		        			var firstTime = $("#firstTime").val();
		        			var lastTime = $("#lastTime").val();
		        			//图表重置
		        			if(chartlst[0].series[0]!=null){
		        			  chartlst[0].series[1].remove();
		        			   chartlst[0].series[0].remove();
		        			   }
		        			updatedatas(firstTime,lastTime);
			 });
			  $("#shuaxin").click(
			function() {
		        			//图表重置
		        			if(chartlst[0].series[0]!=null){
		        			  chartlst[0].series[1].remove();
		        			   chartlst[0].series[0].remove();
		        			   }
		        			updatedatas('1','1');
		        			alert("刷新成功");
			 });
        }
        function updatedatas(firstTime,lastTime)
        {
        	var url = $("#url").val();
	        var sensorname = $("#sensorname").val();
	        $.ajax({
					    				url:url+".action",
					    				type:"post",
										data:"sensorname="+sensorname+"&&firstTime="+firstTime+"&&lastTime="+lastTime,
					    				dataType:"json", // xml [json text] html
					    				complete:function(){
					    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
					    				},
					    				error:function(xmlHttp,result){
					    					alert("请求失败了---http状态码:"+xmlHttp.status+
					    						" : 失败原因是:"+result);
					    				},	
					    				success:function(datas){ //etoak - 服务器返回的响应数据
					    					$.each(datas.list,function(j,sensor){
					    						var name = sensor.name;
					    						var arr1 =[];
												var arr2 =[];
					    						$.each(sensor.data,function(k,values){
													var jctime =  parseFloat(values.jctime.toString());
													var value_1  = null;
													if(values.value){
													  value_1 = parseFloat(values.value.toString());
													}
													var value_2  = null;
													if(values.value1){
													  value_2 = parseFloat(values.value1.toString());
													}
													arr1.push({x:jctime,y:value_1});
													arr2.push({x:jctime,y:value_2});
					    						});
					    						chartlst[0].addSeries({name:name+"x变化量",type:'spline',data:arr1});
												chartlst[0].addSeries({name:name+"y变化量",type:'spline',data:arr2});
					    					});
					    					 $("#firstTime").unbind();
					    					 $("#lastTime").unbind();
					    				}
				    		});
				    		
        }
	</script>
</head>
<body>
   起始时间：&nbsp;&nbsp; <input type="text" onfocus="new Calendar().show(this);" id="firstTime"/>&nbsp;&nbsp;结束时间：&nbsp;&nbsp;<input type="text" onfocus="new Calendar().show(this);" id="lastTime"/>
    <input type="button" value="查询" id="Button"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value="实时刷新" id="shuaxin" style="width: 100px"/>
    <br/>
	<div id="polygon"></div>
	<input type="hidden" value="${param.url}" id="url"/>
	<input type="hidden" value="${param.sensorname}" id="sensorname"/>
</body>
</html>
