﻿     <%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" /> 
    <style type="text/css">
     .a{
       font-family: Arial, Helvetica, sans-serif;
	   font-size: 33px;
	   line-height: 40px;
	   font-weight: bold;
	   color: #006600;
	   background-image: url(images/menu_bg2.gif);
	   background-repeat: no-repeat;
	   text-align: center;
	   display: block;
	   text-decoration: none;
     }
    </style>
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
	<script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript">
    var chartlst=[];
    var chartlsts =[];
            function myrefresh()
		{
      		 window.location.reload();
		}
		 //setTimeout('myrefresh()',6000);
		 setInterval('myrefresh()',600000);
		   $(document).ready(function () {		   
            initpolygons();
            updatedatas();
         });
          
		
		 function initpolygon(polygon,pic,name,ymin,ymax) {
            Highcharts.setOptions({
                colors: ['#0A75A3','yellow', 'blue', '#fd09d2', 'green','#00FF00','yellow', 'blue', '#fd09d2', 'green','#00FF00','yellow', 'blue']
            });
            var polygonchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    plotBackgroundImage: pic,
                    type: 'areaspline'
                },
                title: {
                    text: name
                },
                xAxis: {
                    max: 100,
                    min: 0,
                    gridLineWidth: 0,
                    tickmarkPlacement: 'on'
                },
                yAxis: {
                    tickInterval: 5,
                   	max: ymax,
                   	gridLineWidth: 0,
                    min: ymin,                 
                    title: {                   //设置坐标标题的相关属性 
                           text:"高度 /米"
                                }              
                },
                tooltip:{
                    formatter: function () {
                        return '' +
                        this.series.name + '高度: ' + this.y + '米';
                    }
                },
                credits: {
                    enabled: false
                },
                legend:{
                  layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						floating: true,
						x: -1,
						y: -5,
						symbolPadding: 10,
						symbolWidth: 0,
						enabled: true, 
						backgroundColor:'black',
						borderColor:'GREEN',
						itemMarginBottom:1,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
                },
                series: [
{
                    name: '浸润线',
                    data: []
                },{
                    name: '警戒线',
					type:'spline',
					color:'red',
                    data: []
                }

                ]
            });
            var chartinfo=polygonchart;
            chartlst.push(chartinfo);
        }  
        
         function initpolygondetail(polygondetailname, title,color,sensorname,alarmnames) {
            Highcharts.setOptions({
                colors: ['yellow', 'blue', '#fd09d2', 'green','#00FF00'  ]
            });
            var polygondetailchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygondetailname,
                    backgroundColor:color,
                    type: 'spline',
                    events: {
                        click: function () {
                            windowopen(polygondetailname, color,sensorname,alarmnames);
                        }
                    }
                },

                title: {
                    text: title
                },
                 xAxis: {
                	type :'datetime',
                    title: {
                        text: '时间'
                    },
                   tickmarkPlacement: 'on',
                 //	tickInterval : 24 * 3600 * 1000  ,
                 	dateTimeLabelFormats:  
		            {  
		                     second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y' 
		             }                 

                },
                yAxis: {
                   	//tickInterval: 1,
                    max: 18,
                    min: 0,
                    title: {
                        text: '高度 /米'
                    }
                },
                 tooltip: {
               		enabled: true,
                    formatter: function () {
                        return '时间：' +Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name  +'<br/>'+
						'水面离坝面高度: ' + this.y +' 米';
                    }
                },
                plotOptions: {
                line: {
                    dataLabels: {
                        enabled: true
                    },
                    enableMouseTracking: true
                	}
          		},
                credits: {
                    enabled: false
                },
                series: []
            });
            
            
            var chartinfos=[polygondetailchart,polygondetailname];
            chartlsts.push(chartinfos);
        }
		
		  function updatedata(polygon,pic,name,ymin,ymax)
        {
	           			$.ajax({
		    				url:"jinrunxianTB.action",
		    				type:"post",
		    				data:"title="+name,
		    				async:false,
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据+
		    				 initpolygon(polygon,pic,name,ymin,ymax);
		    				 var names = [];
		    				 var arrs = [];
		    				 var k = null;
								$.each(datas.list,function(j,sensor){
								        var arr = [];
									    k = parseInt(sensor.kind.toString());
									    var state = null;
									    if(sensor.state){
									       state = parseFloat(sensor.state.toString());//99.632
									    }
										var address = sensor.address1;
										var gaodu = null;
										if(sensor.czuobiao){
										  gaodu = parseFloat(sensor.czuobiao.toString());
										}
										var image = "url(../images/sensors/"+(j+17)+".gif)";
										chartlst[k-1].series[0].addPoint({ x:sensor.address2, y:state, a:gaodu, marker: {symbol: image}});
										chartlst[k-1].series[1].addPoint({ x:sensor.address2, y:sensor.address1-6});
										names.push(sensor.name+': '+gaodu+' 米');
										//arr={x:sensor.address2, y:address-gaodu, marker: {symbol: image}};
										if((j+1)==(datas.list).length){
										//chartlst[k-1].series[0].addPoint({ x:100, y: state-28});
										}
										chartlst[k-1].addSeries({name:sensor.name+': '+gaodu.toFixed(1)+' 米',type:'areaspline',data:{x:sensor.address2, y:state, marker: {symbol: image}}});
								});	
								//chartlst[k-1].addSeries({name:'浸润线',type:'areaspline',data:arrs});					
		    				}
	    				});
        }
        function initpolygons() {
            updatedata("polygon1", "../images/newPic/14-021.jpg","剖面1","180","225");
           updatedata("polygon2", "../images/newPic/14-022.jpg","剖面2","170","225");
           updatedata("polygon3", "../images/newPic/24-01.JPG","剖面3","150","230");
          updatedata("polygon4", "../images/newPic/28-01.JPG","剖面4","150","230");
          updatedata("polygon5", "../images/newPic/20-01.JPG","剖面5","160","235");
	      updatedata("polygon6", "../images/newPic/10-01.JPG","剖面6","175","238");		
           }
      
      
		
		function updatedatas()
        {
       			 $.ajax({
		    				url:"jinrunxianTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								$.each(datas.list,function(j,value){
										var arr1 =[];
										var arr2= [];
										var arr3= [];
										var arr4= [];var arr5= [];var arr6= [];var arr7= [];var arr8= [];var arr9= [];
                                                                                var arr10= [];var arr11= []; var arr12= [];  
                                                                                var arr13= []; var arr14= [];   																				
                                                                                var sensorname = null;var alarmnames=null;
										var name1,name2,name3,name4,name5,name6,name7,name8,name9,name10,name11,name12,name13,name14 ="";
										var color ="#204120";
										var k ="";
										var alarm="";
										var alarm1=null;
										var alarm2=null;
										var time=[];var time1=[];var time2=[];
										var time1s=[];var time2s=[];
										$.each(value,function(m,value2){
											alarm = parseFloat(value2.alarm1.toString());
											if(value2.alarm2!=null){
											 alarm1 = parseFloat(value2.alarm2.toString());
											 time1.push(alarm1);
											 if(value2.alarm3!=null){
											  alarm2 = parseFloat(value2.alarm3.toString());
											  time2.push(alarm2);
											 }
											}
											if(m==0){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr1.push({x:jctime,y:value1});
														time.push({x:jctime,y:alarm});
														time1s.push({x:jctime,y:alarm1});
														time2s.push({x:jctime,y:alarm2});
												});
												name1 = value2.name;
											}if(m==1){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr2.push({x:jctime,y:value1});
												});
												name2 = value2.name;
											}if(m==2){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr3.push({x:jctime,y:value1});
												});
												name3 = value2.name;
											}if(m==3){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr4.push({x:jctime,y:value1});
												});
												name4 = value2.name;
											}if(m==4){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr5.push({x:jctime,y:value1});
												});
												name5 = value2.name;
											}if(m==5){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr6.push({x:jctime,y:value1});
												});
												name6 = value2.name;
											}if(m==6){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr7.push({x:jctime,y:value1});
												});
												name7 = value2.name;
											}if(m==7){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr8.push({x:jctime,y:value1});
												});
												name8 = value2.name;
											}if(m==8){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr9.push({x:jctime,y:value1});
												});
												name9 = value2.name;
											}if(m==9){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr10.push({x:jctime,y:value1});
												});
												name10 = value2.name;
											}if(m==10){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr11.push({x:jctime,y:value1});
												});
												name11 = value2.name;
											}if(m==11){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr12.push({x:jctime,y:value1});
												});
												name12 = value2.name;
											}
											if(m==12){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr13.push({x:jctime,y:value1});
												});
												name13 = value2.name;
											}if(m==13){
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value!=null){
														value1  = parseFloat(value3.value.toString());
														}
														arr14.push({x:jctime,y:value1});
												});
												name14 = value2.name;
											}

											var ifbj = parseFloat(value2.ifbj.toString());
											alarmnames = value2.alarmnames.toString();
											var ifguzhang = parseFloat(value2.ifguzhang.toString());
											if(ifguzhang == 1)color = "#cccccc";
											if(ifbj==1){
												color = "#EA0000";
												if(sensorname==null){
													sensorname = value2.name;
												}else{
													sensorname =sensorname+ "*"+value2.name;
												}
											}else{
												if(sensorname==null){
													sensorname = value2.name;
												}else{
													sensorname =sensorname+ "*"+value2.name;
												}
											}
											k = value2.poumian.toString();
											
										
										});
										initpolygondetail("polygondetail"+(j+1), k+" 水面离坝面高度",color,sensorname,alarmnames);
										chartlsts[j][0].addSeries({name:name1,type:'spline',data:arr1});
										if(arr2!=null&&arr2.length>0){
											chartlsts[j][0].addSeries({name:name2,type:'spline',data:arr2});
										}if(arr3!=null&&arr3.length>0){
											chartlsts[j][0].addSeries({name:name3,type:'spline',data:arr3});
										}if(arr4!=null&&arr4.length>0){
											chartlsts[j][0].addSeries({name:name4,type:'spline',data:arr4});
										}if(arr5!=null&&arr5.length>0){
											chartlsts[j][0].addSeries({name:name5,type:'spline',data:arr5});
										}if(arr6!=null&&arr6.length>0){
											chartlsts[j][0].addSeries({name:name6,type:'spline',data:arr6});
										}if(arr7!=null&&arr7.length>0){
											chartlsts[j][0].addSeries({name:name7,type:'spline',data:arr7});
										}if(arr8!=null&&arr8.length>0){
											chartlsts[j][0].addSeries({name:name8,type:'spline',data:arr8});
										}if(arr9!=null&&arr9.length>0){
											chartlsts[j][0].addSeries({name:name9,type:'spline',data:arr9});
										}if(arr10!=null&&arr10.length>0){
											chartlsts[j][0].addSeries({name:name10,type:'spline',data:arr10});
										}if(arr11!=null&&arr11.length>0){
											chartlsts[j][0].addSeries({name:name11,type:'spline',data:arr11});
										}if(arr12!=null&&arr12.length>0){
											chartlsts[j][0].addSeries({name:name12,type:'spline',data:arr12});
										}if(arr13!=null&&arr13.length>0){
											chartlsts[j][0].addSeries({name:name13,type:'spline',data:arr13});
										}if(arr14!=null&&arr14.length>0){
											chartlsts[j][0].addSeries({name:name14,type:'spline',data:arr14});
										}if(alarm!=null){
											chartlsts[j][0].addSeries({name:'警戒线',type:'spline',data:time,color:'red'});
										}if(time1.length>0){
										    chartlsts[j][0].addSeries({name:'警戒线2',type:'spline',data:time1s,color:'red'});
											if(time2.length>0){
											   chartlsts[j][0].addSeries({name:'警戒线3',type:'spline',data:time2s,color:'red'});
											}
										}
										
								});
								
		    				}
	    				});
        }
       
        
        function initialize(alarmnames){
      	  //var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	  Dialog.confirm('警告：【'+alarmnames+'】传感器报警，请及时处理！',function(){JCbaojing(alarmnames);});
      	  
		}
       function windowopen(polygon,color,sensorname,alarmnames) {
            if(color=="#EA0000"){
				initialize(alarmnames);	
            }else{
            	var url = "jinrunxianXX";
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){      		
							//var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCjinrunxian.action",
								type : "post",
								data : "reason=null"  + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										 Dialog.alert("解除成功");
										$("#Button").unbind('click');
										window.location.href="../tubiao/jinrunxian1.jsp";
									} else {
										 Dialog.alert("非报警状态,不能解除");
									}
								}
							});
			
       }
    </script>
</head>
<body style="font-size: 80%" background="../images/about/bj.jpg"><br>
   <div align="center" class="a">浸润线</div>
    <div id="polygon1" class="chart" style="width: 49%;position:static; left:0;">
               正在刷新 ,请稍后..
    </div>
    <div id="polygondetail1" class="chart" style="width: 49%;position:static; right:0;">

    </div>
    <div id="polygon2" class="chart" style="width: 49%;position:static; left:0;">

    </div>
    <div id="polygondetail2" class="chart" style="width: 49%;position:static; right:0;">

    </div>
    <div id="polygon3" class="chart" style="width: 49%;position:static; left:0;">
 
    </div>
    <div id="polygondetail3" class="chart" style="width: 49%;position:static; right:0;">
 
    </div>
<div id="polygon4" class="chart" style="width: 49%;position:static; left:0;">
 
    </div>
<div id="polygondetail4" class="chart" style="width: 49%;position:static; right:0;">
 
    </div>

<div id="polygon5" class="chart" style="width: 49%;position:static; left:0;">
 
    </div>
<div id="polygondetail5" class="chart" style="width: 49%;position:static; right:0;">
 
    </div>
<div id="polygon6" class="chart" style="width: 49%;position:static; left:0;">
 
    </div>
<div id="polygondetail6" class="chart" style="width: 49%;position:static; right:0;">
 
    </div>
    <div id = "msgbox"></div>
</body>

    
     <script type="text/javascript" src="../js/jianyi.js"></script>
     <script type="text/javascript" src="../js/zDialog.js"></script>
      <script type="text/javascript" src="../js/zDrag.js"></script>
      <script type="text/javascript" src="../js/JCbaojing.js"></script>
</html>
