<%@ page language="java"  pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>测斜图表</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
    </style>
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-blue.js"></script>
    <script type="text/javascript" src="../js/JCbaojing.js"></script>
    <script type="text/javascript" src="../js/jianyi.js"></script>
    <script type="text/javascript" src="../js/zDialog.js"></script>
      <script type="text/javascript" src="../js/zDrag.js"></script>
    <script type="text/javascript">
         var charlist3 = [];
         var charlist4 =[];
         var state = '副';
         function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon1north(polygon,color,sensorname,arrs,names,arr1,j,alarmnames) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#FFFF00', '#00FF00', '#FF0000']
            });
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器方位角变化量--副坝'
                },
                xAxis: {
                    type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min: 0,
                    max: 5,
                    tickInterval: 1,
                    title: {
                        rotation: 0,
                        text: '方<br/>位<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
						return '传感器：'+this.series.name + ' <b>方位角变化量: ' + this.y+ '度  '+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: names[2],
		                type:'spline',
		                data: arrs[2]
	                },{
	                    name: "警戒线",
	                    type: 'spline',
	                    data: arr1[0]
	                }]
            });
            charlist3.push(chart);
           // updatedatas();
        }function initpolygon1north1(polygon,color,sensorname,arrs,names,arr1,j,alarmnames) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#FFFF00', '#00FF00','#FF0000']
            });
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器方位角变化量--副坝'
                },
                xAxis: {
                    type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min: 0,
                    max: 5,
                    tickInterval: 1,
                    title: {
                        rotation: 0,
                        text: '方<br/>位<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
						return '传感器：'+this.series.name + ' <b>方位角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: names[2],
		                type:'spline',
		                data: arrs[2]
	                },{
	                    name: "警戒线",
	                    type: 'spline',
	                    data: arr1[0]
	                }]
            });
            charlist3.push(chart);
           // updatedatas();
        }
		function initpolygon1north2(polygon,color,sensorname,arrs,names,arr1,j,alarmnames) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#FFFF00',  '#FF0000']
            });
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器方位角变化量--副坝'
                },
                xAxis: {
                    type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min: 0,
                    max: 5,
                    tickInterval: 1,
                    title: {
                        rotation: 0,
                        text: '方<br/>位<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
						return '传感器：'+this.series.name + ' <b>方位角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
	                    name: "警戒线",
	                    type: 'spline',
	                    data: arr1[0]
	                }]
            });
            charlist3.push(chart);
           // updatedatas();
        }
		function initpolygon1north3(polygon,color,sensorname,arrs,names,arr1,j,alarmnames) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#FFFF00', '#00FF00', 'pink','green', '#FF0000']
            });
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器方位角变化量--副坝'
                },
                xAxis: {
                    type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min: 0,
                    max: 5,
                    tickInterval: 1,
                    title: {
                        rotation: 0,
                        text: '方<br/>位<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
						return '传感器：'+this.series.name + ' <b>方位角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
	                    name: names[2],
	                    type: 'spline',
	                    data: arrs[2]
	                },{
	                    name: names[3],
	                    type: 'spline',
	                    data: arrs[3]
	                },{
	                    name: names[4],
	                    type: 'spline',
	                    data: arrs[4]
	                },{
	                    name: "警戒线",
	                    type: 'spline',
	                    data: arr1[0]
	                }]
            });
            charlist3.push(chart);
           // updatedatas();
        }
		
        function initpolygon1northdetail(polygon,color,sensorname,arrs,names,arr2,j,alarmnames) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen1(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器倾角变化量--副坝'
                },
                xAxis: {
                   type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min:0,
                    max:5,
                    tickInterval:1,
                    title: {
                        rotation: 0,
                        text: '倾<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return  '传感器：'+this.series.name + ' <b>倾角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);
                    }
                },
				
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: names[2],
		                type:'spline',
		                data: arrs[2]
	                },{
		                name: "警戒线",
		                type:'spline',
		                data: arr2[0]
	                }]
            });
			charlist4.push(chart);
        }
		function initpolygon1northdetail1(polygon,color,sensorname,arrs,names,arr2,j,alarmnames) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen1(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器倾角变化量--副坝'
                },
                xAxis: {
                   type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min:0,
                    max:5,
                    tickInterval:1,
                    title: {
                        rotation: 0,
                        text: '倾<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return  '传感器：'+this.series.name + ' <b>倾角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
				
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: names[2],
		                type:'spline',
		                data: arrs[2]
	                },{
		                name: "警戒线",
		                type:'spline',
		                data: arr2[0]
	                }]
            });
			charlist4.push(chart);
        }
		
		function initpolygon1northdetail2(polygon,color,sensorname,arrs,names,arr2,j,alarmnames) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen1(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器倾角变化量--'+state+'层'
                },
                xAxis: {
                   type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min:0,
                    max:5,
                    tickInterval:1,
                    title: {
                        rotation: 0,
                        text: '倾<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return  '传感器：'+this.series.name + ' <b>倾角变化量: ' + this.y+ '度'+'<br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
				
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
		                name: "警戒线",
		                type:'spline',
		                data: arr2[0]
	                }]
            });
			charlist4.push(chart);
        }function initpolygon1northdetail3(polygon,color,sensorname,arrs,names,arr2,j,alarmnames) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'line',
                    backgroundColor:color,
                    events: {
                        click: function () {
                            windowopen1(polygon, color,sensorname,alarmnames);
                        }
                    }
                },
                title: {
                    text: j+'号孔传感器倾角变化量--'+state+'层'
                },
                xAxis: {
                   type :'datetime',
                    title: {
                        text: '时间/天'
                    },
                    tickmarkPlacement: 'on',
                 	//tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min:0,
                    max:5,
                    tickInterval:1,
                    title: {
                        rotation: 0,
                        text: '倾<br/>角<br/>/<br/>度'
                    },
                    labels: {
                        formatter: function () {
                            return this.value;
                        }
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return  '传感器：'+this.series.name + ' <b>倾角变化量: ' + this.y+ '度'+' <br>时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x);;
                    }
                },
				
                series: [{
		                name: names[0],
		                type:'spline',
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    type: 'spline',
	                    data: arrs[1]
	                },{
	                    name: names[2],
	                    type: 'spline',
	                    data: arrs[2]
	                },{
		                name: "警戒线",
		                type:'spline',
		                data: arr2[0]
	                }]
            });
			charlist4.push(chart);
        }
        
        
        function updatedatas()
        {
	           			$.ajax({
		    				url:"batibianxingTBLS.action",
		    				type:"post",
		    				async:false,
		    				dataType:"json", // xml [json text] html
		    				data:"state=FB",
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								$.each(datas.list,function(j,value){
										var sensorname = null;var alarmnames=null;
										var names = [];var arrFWJ = [];var arrQJ = [];var alarm1s = [];var alarm2s = [];var alarm3s =[];var alarm4s =[];var alarm3ss = [];var alarm4ss=[];
										var color ="#204120";
										$.each(value,function(m,value2){
											var arr =[];var arrs =[];var arr1=[];var arr2=[];var arr3=[];var arr4=[];
											var alarm1 = parseFloat(value2.alarm1.toString());
											var alarm2 = parseFloat(value2.alarm1.toString());
											var alarm3 = null;
											var alarm4 = null;
											if(value2.alarm2!=null){
											  alarm3 = parseFloat(value2.alarm2.toString());
											  alarm3s.push(alarm3);
											  if(value2.alarm3!=null){
											     alarm4 = parseFloat(value2.alarm3.toString());
												 alarm4s.push(alarm4);
											  }
											}
											$.each(value2.data,function(n,value3){
													var jctime =  parseFloat(value3.jctime.toString());
													var value1 = null;
													var value2 = null;
													if(value3.value1!=null){
														value1  = parseFloat(value3.value1.toString());
													}if(value3.value2!=null){
														value2  = parseFloat(value3.value2.toString());
													}
													arr.push({x:jctime,y:value1});
													arrs.push({x:jctime,y:value2});
													arr1.push({x:jctime,y:alarm1});
													arr2.push({x:jctime,y:alarm2});
													arr3.push({x:jctime,y:alarm3});
													arr4.push({x:jctime,y:alarm4});
											});
											names[m] = value2.name;
											arrFWJ[m] = arr;
											arrQJ[m] = arrs;
											alarm1s[m] = arr1;alarm2s[m] = arr2;
											alarm3ss[m] = arr3;alarm4ss[m] = arr4;
											var ifbj = parseFloat(value2.ifbj.toString());
											alarmnames = value2.alarmnames.toString();
											var ifguzhang = parseFloat(value2.ifguzhang.toString());
											if(ifbj==1){
												color = "#EA0000";
											}
											if (ifguzhang ==1){
											    color = "#cccccc";
											}
											if(sensorname==null){
												sensorname = value2.name;
											}else{
												sensorname =sensorname+ "*"+value2.name;
											}
										});
										if(state=='FB'){
										initpolygon1north("polygondetail"+(j+1),color,sensorname,arrFWJ,names,alarm1s,j+1,alarmnames);
										initpolygon1northdetail("polygon"+(j+1),color,sensorname,arrQJ,names,alarm2s,j+1,alarmnames);
										if(alarm3s.length>0){
										charlist3[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										if(alarm4s.length>0){
										charlist3[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										}
										}
										}else{
										
										
										if(j==0||j==1||j==4||j==5){
										initpolygon1north("polygondetail"+(j+1),color,sensorname,arrFWJ,names,alarm1s,j+1,alarmnames);
										initpolygon1northdetail("polygon"+(j+1),color,sensorname,arrQJ,names,alarm2s,j+1,alarmnames);
										if(alarm3s.length>0){
										charlist3[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										if(alarm4s.length>0){
										charlist3[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										}
										}
										}if(j==2||j==3){
										initpolygon1north1("polygondetail"+(j+1),color,sensorname,arrFWJ,names,alarm1s,j+1);
										initpolygon1northdetail1("polygon"+(j+1),color,sensorname,arrQJ,names,alarm2s,j+1);
										if(alarm3s.length>0){
										charlist3[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线2",type:'spline',data:alarm3ss[0],color:"red"});
										if(alarm4s.length>0){
										charlist3[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线3",type:'spline',data:alarm4ss[0],color:"red"});
										}
										}
										}
										if(j==6||j==7)
										{
										initpolygon1north2("polygondetail"+(j+1),color,sensorname,arrFWJ,names,alarm1s,j+1);
										initpolygon1northdetail2("polygon"+(j+1),color,sensorname,arrQJ,names,alarm2s,j+1);
										if(alarm3s.length>0){
										charlist3[j].addSeries({name:"警戒线2",type:'spline',data:alarm3s[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线2",type:'spline',data:alarm3s[0],color:"red"});
										if(alarm4s.length>0){
										charlist3[j].addSeries({name:"警戒线3",type:'spline',data:alarm4s[0],color:"red"});
										charlist4[j].addSeries({name:"警戒线3",type:'spline',data:alarm4s[0],color:"red"});
										}
										}
										}}
								});
		    				}
	    				});
        }
       $(document).ready(function () {
       $("#23").click(function(){
               state = 23;
               document.getElementById("polygon1").innerHTML="";
               document.getElementById("polygon2").innerHTML="";
               document.getElementById("polygon3").innerHTML="";
               document.getElementById("polygon4").innerHTML="";
               document.getElementById("polygon5").innerHTML="";
               document.getElementById("polygon6").innerHTML="";
               document.getElementById("polygon7").innerHTML="";
               document.getElementById("polygon8").innerHTML="";
               document.getElementById("polygondetail1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygondetail2").innerHTML="";
               document.getElementById("polygondetail3").innerHTML="";
               document.getElementById("polygondetail4").innerHTML="";
               document.getElementById("polygondetail5").innerHTML="";
               document.getElementById("polygondetail6").innerHTML="";
               document.getElementById("polygondetail7").innerHTML="";
               document.getElementById("polygondetail8").innerHTML="";
               charlist4=[];charlist3=[];
               updatedatas();
            });
           $("#26").click(function(){
               state = 26;
               document.getElementById("polygon1").innerHTML="";
               document.getElementById("polygon2").innerHTML="";
               document.getElementById("polygon3").innerHTML="";
               document.getElementById("polygon4").innerHTML="";
               document.getElementById("polygon5").innerHTML="";
               document.getElementById("polygon6").innerHTML="";
               document.getElementById("polygon7").innerHTML="";
               document.getElementById("polygon8").innerHTML="";
               document.getElementById("polygondetail1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygondetail2").innerHTML="";
               document.getElementById("polygondetail3").innerHTML="";
               document.getElementById("polygondetail4").innerHTML="";
               document.getElementById("polygondetail5").innerHTML="";
               document.getElementById("polygondetail6").innerHTML="";
               document.getElementById("polygondetail7").innerHTML="";
               document.getElementById("polygondetail8").innerHTML="";
               charlist4=[];charlist3=[];
               updatedatas();
            });
             $("#28").click(function(){
               state = 28;
               document.getElementById("polygon1").innerHTML="";
               document.getElementById("polygon2").innerHTML="";
               document.getElementById("polygon3").innerHTML="";
               document.getElementById("polygon4").innerHTML="";
               document.getElementById("polygon5").innerHTML="";
               document.getElementById("polygon6").innerHTML="";
               document.getElementById("polygon7").innerHTML="";
               document.getElementById("polygon8").innerHTML="";
               document.getElementById("polygondetail1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygondetail2").innerHTML="";
               document.getElementById("polygondetail3").innerHTML="";
               document.getElementById("polygondetail4").innerHTML="";
               document.getElementById("polygondetail5").innerHTML="";
               document.getElementById("polygondetail6").innerHTML="";
               document.getElementById("polygondetail7").innerHTML="";
               document.getElementById("polygondetail8").innerHTML="";
               charlist4=[];charlist3=[];
               updatedatas();
            });
            updatedatas();
        });
        
        
        function initialize(sensorname){
      //	  var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	  Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
       function windowopen(polygon,color,sensorname,alarmnames) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(alarmnames);
            }else{
            	var url = "batibianxingXX";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function windowopen1(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	var url = "batibianxingXXAll";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){
					//		var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCbatibianxing.action",
								type : "post",
								data : "reason=null" + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										 Dialog.alert("解除成功");
										$("#Button").unbind('click');
										//$("#msgbox").hide();
										window.location.href="../tubiao/zuankongcexie.jsp";
									} else {
										 Dialog.alert("非报警状态,不能解除");
									}
								}
							});
       }
    </script>
</head>
<body background="../images/about/bj.jpg">
<br/><div class="a">副坝体内部钻孔测斜</div>

    <div id="polygondetail1" style="width: 49%" class="chart" >
         正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
    </div>
    <div id="polygon1" style="width: 49%" class="chart" >
      
    </div>
    <div id="polygondetail2" style="width: 49%" class="chart">
       
    </div>
    <div id="polygon2" style="width: 49%" class="chart" >
     
    </div>
    <div id="polygondetail3" style="width: 49%" class="chart" >
  
    </div>
    <div id="polygon3" style="width: 49%" class="chart" >
     
    </div>
  
    
	

     <div id="msgbox" ></div>
</body>
</html>
