<%@ page language="java"  pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>测斜图表</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
    </style>
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script src="../js/highcharts.js"></script>
    <script src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/JCbaojing.js"></script>
    <script type="text/javascript" src="../js/jianyi.js"></script>
    <script type="text/javascript">
         var  charlist1 = [];
         var  charlist2 = [];
        var state = '副';
                 function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon1(arrs,names,ymax,ymin) {
           var chartname = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygon',
                    plotBackgroundImage: '../images/1234.jpg',
                    type: 'scatter'
                },
                title: {
                    text: state+'坝传感器方位角 以正北为正方向'
                },
                plotOptions: {//
                	series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'diamond' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    },
                    scatter: {
                        events: {//监听点的鼠标事件  
                            click: function () {
                               // alert("哈哈");
                            }
                        }
                    }
                },

                xAxis: {
/*                    tickInterval: 1, //自定义刻度
                    max: 12, //纵轴的最大值*/
                    max: 150, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    tickmarkPlacement: 'on',
                    title: {
                        enabled: true,
                        text: '水平位置/ 米'
                    }
                },
                yAxis: {
                   tickInterval: 2, //自定义刻度
                    max: ymax, //纵轴的最大值
                    min: ymin, //纵轴的最小值
                    title: {
                        rotation: 0,
                        text: '坝<br/>体<br/>高<br/>度<br/>值<br/>/<br/>米'
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        ' 方位角: ' + this.series.name + '度';
                    }
                },
                legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 20,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:8,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},
                series: [{
		                name: names[0],
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    data: arrs[1]
	                },{
		                name: names[2],
		                data: arrs[2]
	                }, {
	                    name: names[3],
	                    data: arrs[3]
	                },{
		                name: names[4],
		                data: arrs[4]
	                }, {
	                    name: names[5],
	                    data: arrs[5]
	                },{
		                name: names[6],
		                data: arrs[6]
	                }, {
	                    name: names[7],
	                    data: arrs[7]
	                },{
		                name: names[8],
		                data: arrs[8]
	                },{
		                name: names[9],
		                data: arrs[9]
	                },{
		                name: names[10],
		                data: arrs[10]
	                },{
		                name: names[11],
		                data: arrs[11]
	                },{
		                name: names[12],
		                data: arrs[12]
	                },{
		                name: names[13],
		                data: arrs[13]
	                },{
		                name: names[14],
		                data: arrs[14]
	                },{
		                name: names[15],
		                data: arrs[15]
	                },{
		                name: names[16],
		                data: arrs[16]
	                },{
		                name: names[17],
		                data: arrs[17]
	                },{
		                name: names[18],
		                data: arrs[18]
	                },{
		                name: names[19],
		                data: arrs[19]
	                },{
		                name: names[20],
		                data: arrs[20]
	                },{
		                name: names[21],
		                data: arrs[21]
	                },{
		                name: names[22],
		                data: arrs[22]
	                },{
		                name: names[23],
		                data: arrs[23]
	                }]
            });
            charlist1.push(chartname);
        }
         function initpolygon2(arrs,names,ymax,ymin) {
           var chartname = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygon',
                    plotBackgroundImage: '../images/5678FB.JPG',
                    type: 'scatter'
                },
                title: {
                    text: state+'坝传感器方位角 以正北为正方向'
                },
                plotOptions: {//
                	series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'diamond' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    },
                    scatter: {
                        events: {//监听点的鼠标事件  
                            click: function () {
                               // alert("哈哈");
                            }
                        }
                    }
                },

                xAxis: {
/*                    tickInterval: 1, //自定义刻度
                    max: 12, //纵轴的最大值*/
                    max: 150, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    tickmarkPlacement: 'on',
                    title: {
                        enabled: true,
                        text: '水平位置/ 米'
                    }
                },
                yAxis: {
                   tickInterval: 4, //自定义刻度
                    max: 236, //纵轴的最大值
                    min: 200, //纵轴的最小值
                    title: {
                        rotation: 0,
                        text: '坝<br/>体<br/>高<br/>度<br/>值<br/>/<br/>米'
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        ' 方位角: ' + this.series.name + '度';
                    }
                },
                legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 20,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:8,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},
                series: [{
		                name: names[0],
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    data: arrs[1]
	                },{
		                name: names[2],
		                data: arrs[2]
	                }, {
	                    name: names[3],
	                    data: arrs[3]
	                },{
		                name: names[4],
		                data: arrs[4]
	                }, {
	                    name: names[5],
	                    data: arrs[5]
	                },{
		                name: names[6],
		                data: arrs[6]
	                }, {
	                    name: names[7],
	                    data: arrs[7]
	                },{
		                name: names[8],
		                data: arrs[8]
	                }]
            });
            charlist1.push(chartname);
        }
        function initpolygon1detail(arrs,names,ymax,ymin) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygons',
                    plotBackgroundImage: '../images/1234.jpg',
                    type: 'scatter'
                },
                title: {
                    text: state+'层子坝传感器方位角 以正东为正方向'
                },
                plotOptions: {//
                    series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'diamond' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    }/*,
                    scatter: {
                        events: {//监听点的鼠标事件  
                            click: function () {
                                alert(1);
                            }
                        }
                    }*/
                },

                xAxis: {
/*                    tickInterval: 1, //自定义刻度
                    max: 12, //纵轴的最大值*/
                    
					max: 150, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    tickmarkPlacement: 'on',
                    title: {
                        enabled: true,
                        text: '水平位置/ 米'
                    }
                },
                yAxis: {
                    tickInterval: 2, //自定义刻度
                    max: ymax, //纵轴的最大值
                    min: ymin, //纵轴的最小值
					
                    title: {
                        rotation: 0,
                        text: '坝<br/>体<br/>高<br/>度<br/>值<br/>/<br/>米'
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        ' 方位角: ' + this.series.name + '度';

                    }
                },
                legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 20,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:8,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},
                series: [{
		                name: names[0],
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    data: arrs[1]
	                },{
		                name: names[2],
		                data: arrs[2]
	                }, {
	                    name: names[3],
	                    data: arrs[3]
	                },{
		                name: names[4],
		                data: arrs[4]
	                }, {
	                    name: names[5],
	                    data: arrs[5]
	                },{
		                name: names[6],
		                data: arrs[6]
	                }, {
	                    name: names[7],
	                    data: arrs[7]
	                },{
		                name: names[8],
		                data: arrs[8]
	                },{
		                name: names[9],
		                data: arrs[9]
	                },{
		                name: names[10],
		                data: arrs[10]
	                },{
		                name: names[11],
		                data: arrs[11]
	                },{
		                name: names[12],
		                data: arrs[12]
	                },{
		                name: names[13],
		                data: arrs[13]
	                },{
		                name: names[14],
		                data: arrs[14]
	                },{
		                name: names[15],
		                data: arrs[15]
	                },{
		                name: names[16],
		                data: arrs[16]
	                },{
		                name: names[17],
		                data: arrs[17]
	                },{
		                name: names[18],
		                data: arrs[18]
	                },{
		                name: names[19],
		                data: arrs[19]
	                },{
		                name: names[20],
		                data: arrs[20]
	                },{
		                name: names[21],
		                data: arrs[21]
	                },{
		                name: names[22],
		                data: arrs[22]
	                },{
		                name: names[23],
		                data: arrs[23]
	                }]
            });
 				charlist2.push(chart);
        }
         function initpolygon1detail1(arrs,names,ymax,ymin) {
            var chart;
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygons',
                    plotBackgroundImage: '../images/5678FB.JPG',
                    type: 'scatter'
                },
                title: {
                    text: state+'坝体传感器方位角 以正东为正方向'
                },
                plotOptions: {//
                    series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'diamond' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    }/*,
                    scatter: {
                        events: {//监听点的鼠标事件  
                            click: function () {
                                alert(1);
                            }
                        }
                    }*/
                },

                xAxis: {
/*                    tickInterval: 1, //自定义刻度
                    max: 12, //纵轴的最大值*/
                    
					max: 150, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    tickmarkPlacement: 'on',
                    title: {
                        enabled: true,
                        text: '水平位置/ 米'
                    }
                },
                yAxis: {
                    tickInterval: 4, //自定义刻度
                    max: 236, //纵轴的最大值
                    min: 200, //纵轴的最小值
					
                    title: {
                        rotation: 0,
                        text: '坝<br/>体<br/>高<br/>度<br/>值<br/>/<br/>米'
                    }
                },
                credits: {
                    enabled: false
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        ' 方位角: ' + this.series.name + '度';

                    }
                },
                legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 20,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:8,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},
                series: [{
		                name: names[0],
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    data: arrs[1]
	                },{
		                name: names[2],
		                data: arrs[2]
	                }, {
	                    name: names[3],
	                    data: arrs[3]
	                },{
		                name: names[4],
		                data: arrs[4]
	                }, {
	                    name: names[5],
	                    data: arrs[5]
	                },{
		                name: names[6],
		                data: arrs[6]
	                }, {
	                    name: names[7],
	                    data: arrs[7]
	                },{
		                name: names[8],
		                data: arrs[8]
	                }]
            });
 				charlist2.push(chart);
        }
		function updatedata(ymax,ymin)
        {
	           			$.ajax({
		    				url:"batibianxingTB.action",
		    				type:"post",
		    				//async:false,
		    				dataType:"json", // xml [json text] html
		    				data:"state=FB",
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    				var nameBei = [];var arrBei=[];var nameDong = [];var arrDong=[];
								$.each(datas.list,function(j,sensor){
										var xvalue = parseFloat(sensor.address2.toString());//初始x轴
										var yvalue = parseFloat(sensor.notalarmvalue.toString());//初始y轴
										var bei = parseFloat(sensor.mark.toString());//方位角北
										var dong = parseFloat(sensor.kind.toString());//方位角东
										var beiImg =sensor.bzuobiao;
										var dongImg =sensor.czuobiao;
										//alert(xvalue+"****"+j);
										var arr =[];
										var arrs =[];
										var image = "url(../images/cexie/"+beiImg+".png)";
										var images = "url(../images/cexie/"+dongImg+".png)";
										arr.push({x:xvalue, y: yvalue, marker: {symbol: image}});
										arrs.push({x:xvalue, y: yvalue, marker: {symbol: images}});
										arrBei[j]=arr;arrDong[j]=arrs;
										nameBei[j]=sensor.name+'【'+bei+'°】';
										nameDong[j]=sensor.name+'【'+dong+'°】';
										
										//initpolygon1detail();
										//charlist1[0].addSeries({name:sensor.name+'('+bei+'℃)',type:'scatter',data:arr});
										//charlist2[0].addSeries({name:sensor.name+'('+dong+'℃)',type:'scatter',data:arrs});
								});
								if(state==23){
								initpolygon1(arrBei,nameBei,ymax,ymin);
								initpolygon1detail(arrDong,nameDong,ymax,ymin);
								}else{
								initpolygon2(arrBei,nameBei,ymax,ymin);
								initpolygon1detail1(arrDong,nameDong,ymax,ymin);
								}
		    				}
	    				});
        }
        
       $(document).ready(function () {
       $("#23").click(function(){
                state = 23;
               document.getElementById("polygon").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygons").innerHTML="";
               updatedata("210","194");
            });
             $("#26").click(function(){
                state = 26;
               document.getElementById("polygon").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygons").innerHTML="";
               updatedata("216","200");
            });
             $("#28").click(function(){
               state = 28;
                document.getElementById("polygon").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygons").innerHTML="";
               updatedata("220","204");
            });
         	updatedata("210","194");
        });
        
        
    </script>
</head>
<body background="../images/about/bj.jpg">
<br><div class="a">副坝体内部钻孔测斜剖面图</div>

    <div id="polygon" class="chart1" style="width: 99.5%;height: 80%">
         正在刷新 ,请稍后..
    </div>
    <div id="polygons" class="chart1" style="width: 99.5%;height: 80%">
     
    </div>
</body>
</html>
