<%@ page language="java"  pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>提示信息框</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/exporting.js"></script>
     <script type="text/javascript" src="../js/exporting.src.js"></script>
    <script type="text/javascript" src="../js/grid.js"></script>
    <script language="javascript" src="../js/Calendar3.js"></script>
	<script type="text/javascript">
	     $(function () {
       		 initpolygondetail("详细图表"); 
       		 updatedata();
       		 updatedatas("1","1");
         });
		var chartlst=[];
		function initpolygondetail(title) {
            Highcharts.setOptions({
                colors: ['#DF5353', 'blue', '#fd09d2', 'green'],
                lang:{
                    contextButtonTitle:'导出',
					decimalPoint:'.',
					downloadPNG:'下载PNG图片',
					downloadJPEG:'下载JPG图片',
					downloadPDF:'下载PDF文件',
					exportButtonTitle:'导出...',
					loading:'请稍等...',
					months:['1月','2月','3月','4月','5月','6月','7月','8月','9月','10月','11月','12月'],
					printChart:'打印图表',
					resetZoom:'还原图表',
					resetZoomTitle:'还原图表为1:1大小',
					thousandsSep:',',
					weekdays:['Sun', 'Mon', 'Tues', 'Wednes', 'Thurs', 'Fri', 'Satur']
				  }
            });
           
            var polygondetailchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'spline',
                    zoomType:'xy'
                },
                 
                title: {
                    text: title
                },
                 xAxis: {
                	type :'datetime',
                    title: {
                        text: '时间'
                    },
                   tickmarkPlacement: 'on',
                   //tickInterval : 24 * 3600 * 1000  ,
                   dateTimeLabelFormats:  
		            {  
		              second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             }                 

                },
                yAxis: {
                   	//tickInterval: 30,
                    //max: 114,
                    //min: 84,
                    title: {
                    	rotation: 0,
                        text: '数<br/>值 '
                    }
                },
                 tooltip: {
               		enabled: true,
                    formatter: function () {
                        return '传感器：' +
                        this.series.name + '数值: ' + this.y + '      ' +"时间："+ Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x);
                    }
                },
                plotOptions: {
                line: {
                    dataLabels: {
                        enabled: true
                    },
                    enableMouseTracking: true
                	}
          		},
                credits: {
                    enabled: false
                },
                series: []
            });
            
            chartlst.push(polygondetailchart);
        }
         function updatedata()
        {
       			$("#Button").click(
				
						function() {
		        			var firstTime = $("#firstTime").val();
		        			var lastTime = $("#lastTime").val();
						
		        			var sensorname = $("#sensorname").val();
		        			
		        			if(sensorname.indexOf("*")!=-1){
		        				var name = sensorname.split("*");
								$.each(name,function(k,value){
								    if(chartlst[0].series[0]!=null){
									chartlst[0].series[0].remove();
									}
								});
		        			}else{
		        				//图表重置
		        				if(chartlst[0].series[0]!=null){
		        			 	chartlst[0].series[0].remove();
		        			 	}
		        			}
							
		        			updatedatas(firstTime,lastTime);
			 });
			 
			 $("#shuaxin").click(
			 function() {
		        			var sensorname = $("#sensorname").val();
		        			if(sensorname.indexOf("*")!=-1){
		        				var name = sensorname.split("*");
								$.each(name,function(k,value){
								    if(chartlst[0].series[0]!=null){
									chartlst[0].series[0].remove();
									}
								});
		        			}else{
		        				if(chartlst[0].series[0]!=null){
		        			 	chartlst[0].series[0].remove();
		        			 	}
		        			 
		        			}
		        			updatedatas('1','1');
		        				alert("刷新成功");
			 });
        }
        function updatedatas(firstTime,lastTime)
        {
        	var url = $("#url").val();
	        var sensorname = $("#sensorname").val();
	        $.ajax({
					    				url:url+".action",
					    				type:"post",
										data:"sensorname="+sensorname+"&&firstTime="+firstTime+"&&lastTime="+lastTime,
					    				dataType:"json", // xml [json text] html
					    				complete:function(){
					    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
					    				},
					    				error:function(xmlHttp,result){
					    					alert("请求失败了---http状态码:"+xmlHttp.status+
					    						" : 失败原因是:"+result);
					    				},	
					    				success:function(datas){ //etoak - 服务器返回的响应数据
					    					$.each(datas.list,function(j,sensor){
					    						var name = sensor.name;
					    						var arr = [];
					    						$.each(sensor.data,function(k,values){
														var jctime =  parseFloat(values.jctime.toString())+8000*3600;
														var value2 = null;
														if(values.value){
													    value2  = parseFloat(values.value.toString());
														}
					    							arr.push({x:jctime,y:value2});
					    						});
					    						chartlst[0].addSeries({name:name,type:'spline',data:arr});
					    					});
					    					 $("#firstTime").unbind();
					    					 $("#lastTime").unbind();
					    				}
				    		});
			
	    			/*$.ajax({
	    				url:"shuaxin.action",
	    				type:"post",
	    				data:"sensorname="+sensorname,
	    				dataType:"json", // xml [json text] html
	    				complete:function(){
	    					//alert("请求完成了?我不知道请求成功还是失败了");
	    				},
	    				error:function(xmlHttp,result){
	    					alert("请求失败了---http状态码:"+xmlHttp.status+
	    						" : 失败原因是:"+result);
	    				},
	    				success:function(data){ //etoak - 服务器返回的响应数据
	    					$.each(data.list,function(j,sensor){
	    					
	    						if(sensor==1)alert("更新数据成功");
	    					});
	    				}
	    			});*/
}

	</script>
</head>
<body><div align="left"> 
   起始时间：&nbsp;&nbsp; <input type="text" onfocus="new Calendar().show(this);" id="firstTime">&nbsp;&nbsp;结束时间：&nbsp;&nbsp;<input type="text" onfocus="new Calendar().show(this);" id="lastTime"> 
    <input type="button" value="查询" id="Button" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="button" value="实时刷新" id="shuaxin" style="width: 100px;"> 
    <br> 
	</div><div id="polygon"></div>
	<div><input type="hidden" value="${param.url}" id="url"><input type="hidden" value="${param.sensorname}" id="sensorname"></div>
	
</body>
</html>
