<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>岸坡位移</title>
<link href="../themes/index.css" rel="stylesheet" type="text/css" />
<style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
</style>
<script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/dark-green.js"></script>
<script type="text/javascript" src="../js/zDialog.js"></script>
<script type="text/javascript" src="../js/zDrag.js"></script>
<script type="text/javascript">
  var chartlst=[];var chartlsts=[];
  $(function(){
    updatedata();
    updatedatas();
  });
  function  inita(polygon,image,zkbh){
   Highcharts.setOptions({ colors: ['#0A75A3', '#00FF00','#0000FF','#00FFFF','#FFFFFF','#FFFF00']});
   var polygonchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    plotBackgroundImage: image,
                   // zoomType:'xy'
                },
                title: {
                    text: zkbh+'位置示意图',
                    style:{color:'white',fontSize:'100px'}
                },
                xAxis: {
                	min: 11, //纵轴的最小值
                	max: 46, //纵轴的最大值
                    title: {
                        //text: 'x(米)'
                    },
                    gridLineWidth: 0,
                    tickmarkPlacement: 'on'
                },
                yAxis: {
                   //tickInterval:20, 
                    max: 235, //纵轴的最大值
                    min: 200, //纵轴的最小值
                    gridLineWidth: 0,
                    title: {//纵轴标题
                        rotation: 0,
                        text: 'y<br/>（米）'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        this.series.name ;
                    }
                },
                credits: {
                    enabled: false
                },
                plotOptions: {
                    series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'square' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    }
                },
                series: []
            });
 				chartlst.push(polygonchart);
        }
  
  function initb(polygon,color,sensorname){
    Highcharts.setOptions({
               colors: ['#0000FF','#FF0000','#0A75A3', '#FF0000']
            });
            var polygonchart1 = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    backgroundColor:color,
                    type: 'spline',
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname);
                        }
                    }
                },
                title: {
                    text: '位置变化量'
                },
                xAxis: {
                	type :'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                 //	tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		              second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    //tickInterval: 0.0002,
                    //max: 0.002,
                   // min: 0,
                    title: {
                        rotation: 0,
                        text: '毫<br/>米'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return "时间："+ Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ' <b>位移大小: ' + this.y+ '毫米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: [
                ]
            });
            chartlsts.push(polygonchart1);
  }
  function updatedata()
        {
	           			$.ajax({
		    				url:"anpoweiyiTBFB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //datas - 服务器返回的响应数据
							$.each(datas.list,function(i,data){
								var arrs = [];var names = []; var name1 =null;var zkbh=null;
									$.each(data,function(j,sensor){
										var xvalue = parseFloat(sensor.address2.toString());//初始x轴
										var yvalue = parseFloat(sensor.notalarmvalue.toString());//初始y轴
										var hvalue = parseFloat(sensor.kind.toString());//水平x轴
										var arr =[];
										zkbh = parseInt(sensor.zkbh.toString());
										var mark = "url(../images/dongtaijiance/img_4.png)";
											arr.push({x:xvalue,y:yvalue,marker: {symbol: mark}});
											arr.push({x:hvalue,y:yvalue});
											name1 = sensor.name+"(→"+(hvalue-xvalue).toFixed(2)+" 米)";
										    names[j] = name1;
										    arrs[j] = arr;
										//chartlst[0].addSeries({name:sensor.name+"(→"+(hvalue-xvalue).toFixed(2)+" 米)",type:'line',data:arr});
									});
									    var image= '../images/shuipingweiyi_2.jpg';
									    
										inita("polygon"+(i+1),image,zkbh);
										if(arrs.length>0){
										  for(var m = 0;m<arrs.length;m++){
										    chartlst[i].addSeries({name:names[m],type:'spline',data:arrs[m]});
										  }
										}
								});
								
		    				}
	    				});
        }
              function updatedatas()
        {
	           			$.ajax({
		    				url:"anpoweiyiTBLSFB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    				$.each(datas.list,function(j,value){
										var sensorname = null;
										var names =[];
										var arrs = [];var alarms = [];var alarms1=[];var alarms2=[];	var alarm1 = null;var alarm2 = null;
										var color ="#204120";
										$.each(value,function(m,value2){
												var arrss = [];var arr =[];
												var alarm = parseFloat(value2.alarm1.toString());
											//	var alarm1 = null;var alarm2 = null;
												if(value2.alarm2){
												  alarm1 = parseFloat(value2.alarm2.toString());
												  if(value2.alarm3){
												    alarm2 = parseFloat(value2.alarm3.toString());
												  }
												}
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value){
															value1  = parseFloat(value3.value.toString());
														}
														arr.push({x:jctime,y:value1});
														arrss.push({x:jctime,y:alarm});
														alarms1.push({x:jctime,y:alarm1});
														alarms2.push({x:jctime,y:alarm2});
												});
												names[m] = value2.name;
												arrs[m] = arr;
												alarms[m] = arrss;
												//alarms1[m] = arrss1;alarms2[m] = arrss2;
											var ifbj = parseFloat(value2.ifbj.toString());
											var ifguzhang = parseFloat(value2.ifguzhang.toString());
											if(ifbj==1){
												color = "#EA0000";
											}
											if(ifguzhang==1){
											    color = "#cccccc";
											}
											if(sensorname==null){
													sensorname = value2.name;
											}else{
													sensorname =sensorname+ "*"+value2.name;
											}
										});
										initb("polygondetail"+(j+1),color,sensorname,names,arrs,alarms);
									
										if(arrs.length>0){
										  for(var i = 0;i<arrs.length;i++){
										    chartlsts[j].addSeries({name:names[i],type:'spline',data:arrs[i]});
										  }
										}
										if(alarms.length>0){
										chartlsts[j].addSeries({name:"警戒线",type:'spline',data:alarms[0]});
										}
										if(alarm1!=null){
										   chartlsts[j].addSeries({name:"警戒线2",type:'spline',data:alarms1,color:"red"});
										   if(alarm2!=null){
										     chartlsts[j].addSeries({name:"警戒线3",type:'spline',data:alarms2,color:"red"});
										   }
										}
								});
								}
	    				});
        }
        function initialize(sensorname){
      //	  var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	   Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
       function windowopen(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	var url = "anpoweiyiXX";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){
						//	var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCanpoweiyi.action",
								type : "post",
								data : "reason=null" + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										Dialog.alert("解除成功",function(){window.location.href="../tubiao/anpoweiyi.jsp";});
										$("#Button").unbind('click');
										//$("#msgbox").hide();
									} else {
										Dialog.alert("非报警状态,不能解除");
									}
								}
							});
       }
</script>
</head>
<body style="font-size: 80%" background="../images/about/bj.jpg">
  <br><div class="a">副坝体岸坡位移</div>
  <div id="polygon1" style="width: 49%" class="chart" >
         正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
  </div>
  <div id="polygondetail1" style="width: 49%" class="chart" >
        
  </div>
 
        
  </div>
</body>
</html>