<%@ page language="java"  pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/JCbaojing.js"></script>
    <script type="text/javascript">
        var  chartlst = [];
        var  chartlst1 = [];
        var  chartlst2 = [];
        var  chartlst3 = [];
                function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon(arrs,image) {
            Highcharts.setOptions({
                colors: ['#FF9933']//'#0A75A3', 
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygon',
                    type:'area',
                    plotBackgroundImage: image,
                    inverted: true
                },

                title: {
                    text: '干滩长度监测'
                },
            
                xAxis: {
/*                    tickInterval: 20, //自定义刻度*/
                    max: 120, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    
                    title: {
                        text: 'y(米)'
                    },
                    tickmarkPlacement: 'on'
                },
                yAxis: {
/*                    tickInterval: 20, //自定义刻度*/
                    max: 200, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    title: {//纵轴标题
                        rotation: 0,
                        text: 'x<br/>（米）'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        this.series.name + ': ' + this.y + '米';
                    }
                },
                plotOptions: {
	                area: {
	                    fillOpacity: 0.5
	                }
	            },
                credits: {
                    enabled: false
                },
                series: [{
		                name: "干滩长度",
		                data: arrs
	                }]
            });
			//chartlst.push(chart);
			//updatedata();
        }
        function initpolygon1(polygon,title,arrs,names) {
            Highcharts.setOptions({
                colors: ['#0A75A3', '#00FFFF', '#00FF00',"#FFFF00"]
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type:'line'
                    //plotBackgroundImage: '../images/gantanbg.png'
                },

                title: {
                    text: title
                },
                xAxis: {
					type :'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                 	tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		                    second: '%H:%M:%S',  
		
		                     minute: '%e. %b %H:%M',  
		
		                   hour: '%b/%e %H:%M',  
		
		                    day: '%e日/%m月',  
		
		                    week: '%e. %b',  
		
		                   month: '%b %y',  
		
		                   year: '%Y' 
		             } 
                },
                yAxis: {
/*                    tickInterval: 20, //自定义刻度
                    max: 200, //纵轴的最大值
                    min: 0, //纵轴的最小值*/
                    title: {//纵轴标题
                        rotation: 0,
                        text: 'x<br/>（米）'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return '时间：' +Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ': ' + this.y;
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
		                name: names[0],
		                data: arrs[0]
	                }, {
	                    name: names[1],
	                    data: arrs[1]
	                }, {
	                    name: names[2],
	                    data: arrs[2]
	                }, {
	                    name: names[3],
	                    data: arrs[3]
	                }, {
	                    name: names[4],
	                    data: arrs[4]
	                }]
            });
           /* if(polygon=="polygon1"){
			chartlst1.push(chart);
			}if(polygon=="polygon2"){
			chartlst2.push(chart);
			}if(polygon=="polygon3"){
			chartlst3.push(chart);
			}*/
        }
        $(function () {
            updatedata();
            updatedatas();
            ifbj();
        });
         function updatedata()
        {
	           			$.ajax({
		    				url:"gantanTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								var iamge = '../images/gantan.png';
								var arrs = [];
								
								$.each(datas.list,function(j,list1){
									if(j==1){
										$.each(list1,function(m,value){
											var yvalue = parseFloat(value.ifbj.toString());//初始y轴
											var hvalue = parseFloat(value.poumian.toString());//x轴
											arrs.push({x:yvalue,y:hvalue});
										});
										//chartlst[0].addSeries({name:"干滩长度",type:'area',data:arrs});
									}
								});
								initpolygon(arrs,iamge);
		    				}
	    				});
        }
        function updatedatas()
        {
	           			$.ajax({
		    				url:"gantanTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								var arr1s = [];var arr2s = [];var arr3s = [];
								var names = [];
								
								$.each(datas.list,function(j,sensor){
									$.each(sensor,function(m,ss){
										var arr1= [];var arr2 = [];var arr3 = [];
										$.each(ss.data,function(n,data){
											var jctime = parseFloat(data.jctime.toString());
											var gantanchang=null;
											var bagao=null;
											var podu=null;
											if(data.value!=null){
												gantanchang = parseFloat(data.value.toString());
											}if(data.value1!=null){
												bagao = parseFloat(data.value1.toString());			
											}if(data.value2!=null){
												podu = parseFloat(data.value2.toString());
											}
											arr1.push({x:jctime,y:gantanchang});
											arr2.push({x:jctime,y:bagao});
											arr3.push({x:jctime,y:podu});
										});
										arr1s[m] = arr1;	
										arr2s[m] = arr2;	
										arr3s[m] = arr3;										
										names[m] = ss.name+"号";
										//chartlst1[0].addSeries({name:ss.name+"号干滩设备",type:'line',data:arr1});
										//chartlst2[0].addSeries({name:ss.name+"号干滩设备",type:'line',data:arr2});
										//chartlst3[0].addSeries({name:ss.name+"号干滩设备",type:'line',data:arr3});
									});
									
									
								});
								initpolygon1("polygon1","干滩长度监测",arr1s,names);
								initpolygon1("polygon2","滩顶高程监测",arr2s,names);
								initpolygon1("polygon3","干滩坡度监测",arr3s,names);
		    				}
	    				});
        }
        
        function ifbj()
        {
	           			$.ajax({
		    				url:"BJgantanTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								if(datas.gantanid!=null){
									initialize(datas.gantanid);
								}
		    				}
	    				});
        }
        function initialize(sensorname){
      	 // var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	  JCbaojing(sensorname);
		}
       function JCbaojing(sensorname){
       		$("#Button").click(
						function() {
							var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCgantan.action",
								type : "post",
								data : "reason=" + baojing + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										alert("解除成功");
										$("#Button").unbind('click');
										//$("#msgbox").hide();
										window.location.href="../tubiao/gantan.jsp";
									} else {
										alert("非报警状态,不能解除");
									}
								}
							});
						});
       }
    </script>
</head>
<body background="../images/about/bj.jpg">
    <div id="polygon" class="chart1" style="width: 100%;height: 80%">
       正在刷新,请稍后..
    </div>
    <div id="polygon1" class="chart" style="width: 33%">
      
    </div>
        <div id="polygon2" class="chart" style="width: 33%">
      
    </div>
        <div id="polygon3" class="chart" style="width: 33%">
    
    </div>
    <div id="msgbox"></div>
</body>
</html>
