﻿<%@ page language="java"  pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html >
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/JCbaojing.js"></script>
    <script type="text/javascript" src="../js/jianyi.js"></script>
    <script type="text/javascript">
 	var chartlst = [];
    var chartlsts =[];
            function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon1(polygon,color,sensorname) {
            var chart;
            Highcharts.setOptions({
                colors: ['#0A75A3', '#FF0000', '#00FF00']
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    type: 'column',
                     backgroundColor:color,
                     events: {
                        click: function () {
                            windowopen(polygon,color,sensorname);
                        }
                    }
                },

                title: {
                    text: '降雨量(当天)'
                },
               xAxis: {
               gridLineWidth: 0,
                 categories: [
                    '00',
                    '01',
                    '02',
                    '03',
                    '04',
                    '05',
                    '06',
                    '07',
                    '08',
                    '09',
                    '10',
                    '11', 
                    '12',
                    '13',
                    '14',
                    '15',
                    '16',
                    '17',
                    '18',
                    '19',
                    '20',
                    '21',
                    '22',
                    '23'
                ],
                title: {
                        text: '时间(小时)'
                    },
                min:0
                },
                plotOptions: {
	                column: {
	                	pointWidth: 10, 
	                  	pointPadding: 0,
	                    borderWidth: 0
	                }
           		 },
                yAxis: {
                    
                    //tickInterval: 30, //自定义刻度
                    max: 20, //纵轴的最大值
                    min: 0, //纵轴的最小值
                    title: {//纵轴标题
                        rotation: 0,
                        text: '毫<br/>米<br/>/<br/>小<br/>时'
                    }
                   
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        this.series.name + ': ' + this.y + '毫米/小时';
                    }
                },
                credits: {
                    enabled: false
                },
                series: []
            });
			chartlst.push(chart);
        }
        function initpolygon1detail(sensorname) {
            var chart;
            Highcharts.setOptions({
                colors: [ '#0A75A3', '#00FF00']
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: 'polygon1detail',
                    backgroundColor:'#204120'
                },

                title: {
                    text: '累计降雨量'
                },
                xAxis: {
                    gridLineWidth: 0,
                    type :'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                 	tickInterval : 24 * 3600 * 1000 ,
              	dateTimeLabelFormats:  
		            {  
		             second: '%H时:%M:%S',  
		
		             minute: '%e日 %H:%M',  
		
		             hour: '%e日/%H:%M',  
		
		              day: '%e日',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    min: 0,
                    title: {
                        rotation: 0,
                        text: '毫<br/>米'
                    }
                },
                plotOptions: {
	                column: {
	                	pointWidth: 10, 
	                  	pointPadding: 0,
	                    borderWidth: 0
	                }
           		 },
                tooltip: {
                    formatter: function () {
                     return '时间：' +Highcharts.dateFormat('%Y-%m-%d ',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ' <b>累计降雨量: ' + this.y.toFixed(2)+ '毫米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: []
            });
			chartlsts.push(chart);
        }
        $(document).ready(function () {

       	   updatedata();
           updatedatas();
           
        });
        
        function updatedata()
        {	
	           			$.ajax({
		    				url:"jiangyuliangTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    			
								$.each(datas.list,function(j,value){
										var arrs =[];
										var arrss = [];
										var value1=parseFloat(value.alarm1.toString());
										var alarm2 = null;var alarm3 = null;
										if(value.alarm2){
										  alarm2 = parseFloat(value.alarm2.toString());
										  if(value.alarm3){
										    alarm3 = parseFloat(value.alarm3.toString());
										  }
										}
										//alert(value1);
										$.each(value.data,function(m,value2){
											var jctime =  parseFloat(value2.jctime.toString());
											value1 = parseFloat(value2.value.toString());
											var value3 = null;
											if(value2.value1!=null){
											value3  = parseFloat(value2.value1.toString());
											}
											arrs.push({x:jctime,y:value3});
										});
										arrss.push({x:0,y:value1});
										arrss.push({x:23,y:value1});
										var ifbj = parseFloat(value.ifbj.toString());
										var ifguzhang = parseFloat(value.ifguzhang.toString());
										var color='#204120';
										if(ifbj=="1") color = "#EA0000";
										if(ifguzhang != null){if(ifguzhang==1){color = "#cccccc";}};
										initpolygon1("polygon"+(j+1),color,value.name);
										shuju(value.name);
                                        dayAndMonth(value.name);
										chartlst[j].addSeries({name:"co2",type:'column',data:arrs});
										chartlst[j].addSeries({name:"警戒值",type:'spline',data:arrss});
										if(alarm2!=null){
                                          chartlst[0].addSeries({name:"警戒值2",type:'spline',data:[{x:0,y:alarm2},{x:23,y:alarm2}],color:'red'});
                                          if(alarm3!=null){
                                            chartlst[0].addSeries({name:"警戒值3",type:'spline',data:[{x:0,y:alarm3},{x:23,y:alarm3}],color:'red'});
                                          }
										}
								}
								);
		    				}
	    				});
        }
        
        function updatedatas()
        {
	           			$.ajax({
		    				url:"jiangyuliangTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								$.each(datas.list,function(j,value){
										var arr =[];
										$.each(value.data,function(m,value2){
											var jctime =  parseFloat(value2.jctime.toString());
											var value   = parseFloat(value2.value.toString());
										
											arr.push({x:jctime,y:value});
										});
										initpolygon1detail(value.name);
										chartlsts[0].addSeries({name:value.name,type:'column',data:arr});
								});
		    				}
	    				});
        }
        function initialize(sensorname){
      	//  var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	   Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
		function windowopenAll(sensorname) {
			var url = "jiangyuliangXXAll";
            Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
		}
         function windowopen(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	//var url = "jiangyuliangXX";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            }
       }
       function JCbaojing(sensorname){
							//var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCjiangyuliang.action",
								type : "post",
								data : "reason=null"  + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										Dialog.alert("解除成功");
										$("#Button").unbind('click');
										//$("#msgbox").hide();
										window.location.href="../tubiao/jiangyuliang.jsp";
									} else {
										Dialog.alert("非报警状态,不能解除");
									}
								}
							});
       }
       
       	var currentPage = 1; //第几页
    	var pageSize = 10; //一页显示多少条
    	var totalPage; //总页数
       function shuju(name)
       {
       var dayAndMonth = $("#dayAndMonth").val();
				$.ajax( {
					url : "shujufenye.action",
					type : "post",
					data : "currentPage="+currentPage+"&pageSize="+pageSize+"&dayAndMonth="+dayAndMonth+"&mark=TabJiangyuliang&sensorname="+name,
					dataType : "json", // xml [json text] html
					complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
					},
					error : function(xmlHttp, result) {
							alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
					},
					success : function(list) { //etoak - 服务器返回的响应数据
						var list1=null;
			          	var totalCount=null;
    					$.each(list.list,function(i,data){
    						if(i == 0){
    							list1 = data;
    						}else if(i == 1){
    							totalPage = data;
    						}else if(i == 2){
    							totalCount = data;
    						}
    					});	
			          	var html ="<table borderColor='#FFFFCC' height='430' cellSpacing='1' cellPadding='1' width='350' border='2' bh>"
								+"<tr align='center'  height='5%' ><td width='30%'>时间</td><td>降雨总量(毫米)</td></tr>";
	    				$.each(list1,function(i,eno){
	    					html += "<tr>"
	           					+"<td><div align='center'>"+eno[2]+"</div></td>"
				          		+"<td><div align='center'>"+eno[0].toFixed(2)+"</div></td>"
				          		+"</tr>";
				        });
			          	
			          	
			          	html+=" </table>";
   						$("#shuju").empty().append(html);
   						$("button").unbind(); //清空button上的触发事件
   						var html1 = "共有 "+totalCount+"条记录，当前第 "+currentPage+"/"+totalPage+" 页";
   						$("#fenyelabel").empty().append(html1);
	    				if(totalPage!=1){
		    				if(currentPage==1){
		    					$("#next,#end").attr("disabled",false)
		    					.click(function(){
		    						changeCurrentPage($(this).attr("id"));
		    					});
		    					$("#first,#pre").attr("disabled",true);
		    				}else if(currentPage==totalPage){
		    					$("#first,#pre").attr("disabled",false)
		    					.click(function(){
		    						changeCurrentPage($(this).attr("id"));
		    					});
		    					$("#next,#end").attr("disabled",true);
		    				}else{
		    					$("button").click(function(){
		    						changeCurrentPage($(this).attr("id"));
		    					});
		    					$("button").attr("disabled",false);
		    				}
	    				}else{
	    					$("button").attr("disabled",true);
	    				}
						}
				});
       }
       function changeCurrentPage(id){
    		if("first"==id) currentPage=1;
    		else if("pre"==id) currentPage-=1;
    		else if("next"==id) currentPage+=1;
    		else if("end"==id) currentPage=totalPage;
    		shuju();
    	}
       function dayAndMonth(name){
       		$("#month").click(
				function() {
					$("#dayAndMonth").attr("value","Month");
					shuju(name);
				}
			);
			$("#day").click(
				function() {
					$("#dayAndMonth").attr("value","day");
					shuju(name);
				}
			);
       }
    </script>
</head>
<body background="../images/about/111.jpg">
    <div id="polygon1"  style="width: 98%" class="chart1">
             正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
    </div>
	<div id="polygon2"  style="width: 98%" class="chart1">
            
    </div>
   
  
</html>
