<%@ page language="java"  pageEncoding="utf-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
      .a{
       font-family: Arial, Helvetica, sans-serif;
	   font-size: 33px;
	   line-height: 40px;
	   font-weight: bold;
	   color: #006600;
	   background-image: url(images/menu_bg2.gif);
	   background-repeat: no-repeat;
	   text-align: center;
	   display: block;
	   text-decoration: none;
     }
    </style>
    <link href="../themes/redmond/jquery-ui-1.8.20.custom.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/jquery-ui-1.8.20.custom.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui-timepicker-addon.js"></script>
    <script type="text/javascript" src="../js/jquery.ui.datepicker-zh-CN.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
 <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/jianyi.js"></script>
    <script type="text/javascript" src="../js/zDialog.js"></script>
      <script type="text/javascript" src="../js/zDrag.js"></script>
    <script type="text/javascript">
    var chartlist1 = [];
    var chartlist2 =[];
        $(function () {
			init();
        });
        function init() {
           updatedata();
           updatedatas();
        }
        function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon1(polygon,arr,arr1,title,image,value1,value11,value2) {
            var chart;
            Highcharts.setOptions({
                colors: [ '#0A75A3','#FF0000', '#00FF00']
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    plotBackgroundImage: image,
                    backgroundColor:'#204120',
                    type:'line'/*,
                    events: {
                        click: function () {
                            windowopen("polygon1", "详细信息");
                        }
                    }*/
                },

                title: {
                    text: title
                },
                xAxis: {
                    //min: 0
                    gridLineWidth: 0
                },
                yAxis: {
                    tickInterval: 4	,
                    gridLineWidth: 0,
                    max: 220,
                    min: 200,
                    title: {
                        rotation: 0,
                        text: '高<br/>度<br/>(米)'
                    },
                    plotLines: [{
	                value: value1,
	                color: '#0A75A3',
	                width: 1,
	                label: {
	                text: '水深: '+value11+'  水面海拔高度:'+value1,
	                align: 'center',
	                style: {
	                    color: 'red',
	                    fontSize:'23px'
	                }
	            }
	        },{
	                value: value2-3,
	                color: 'yellow',
	                width: 2,
	                label: {
	                text: '警示线',
	                align: 'center',
	                style: {
	                    color: 'yellow',
	                    fontSize:'23px'
	                }
	            }
	        }]
                },
                tooltip: {
                    formatter: function () {
                        return '' +
                        this.series.name +": "+ this.y + '米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
	                    name: '库水位',
	                    type: 'areaspline',
	                    data: arr1
	                },{
		                name: '警戒线',
		                type:'spline',
		                data: arr
	                }]
            });
            chartlist1.push(chart);
            //updatedata();
        }
        function initpolygon1detail(name,color,sensorname,title,arr,alarms) {
            var chart;
            Highcharts.setOptions({
                colors: ['#0000FF','red']
            });
            chart = new Highcharts.Chart({
                chart: {
                    renderTo: name,
                    backgroundColor:color,
                    type: 'column',
                    events: {
                        click: function () {
                            windowopen(name, color,sensorname);
                        }
                    }
                },

                title: {
                    text: title
                },
                xAxis: {
                    type :'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                 	tickInterval :  3600 * 1000 ,
						dateTimeLabelFormats:  
		            {  
		                     second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y' 
		             }   
                 	
                },
                yAxis: {
                    tickInterval: 4,
                    max: 230,
                    min: 160,
                    title: {
                        rotation: 0,
                        text: '毫<br/>克<br/>/<br/>立<br/>方<br/>米'
                    }
                },
                tooltip: {
                    formatter: function () {
                         return "时间："+ Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ': ' + this.y+'毫克/立方米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
	                    name: 'CO2',
	                    type: 'column',
	                    data: arr
	                },{
		                name: 'NO2',
		                type:'column',
		                data: alarms
	                }
                ]
            });
             chartlist2.push(chart);
        }
         function updatedata()
        {
	           		$.ajax({
		    				url:"kushuiweiTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
								$.each(datas.list,function(j,sensor){
										    var arr =[];var arrs =[];var image=null;
											var value1  = parseFloat(sensor.bzuobiao.toString());
											var value11 = parseFloat(sensor.czuobiao.toString());
											var value2  = parseFloat(sensor.alarmvalue1.toString());
                                            var alarm1 = null;var alarm2 = null;
                                            var alarms1 = [];var alarms2 = [];
											arr.push({x:0,y:value1});
											arr.push({x:100,y:value1});
											arrs.push({x:0,y:value2});
											arrs.push({x:100,y:value2});
											var title = null;
											if(j==0){
											  title = "北竖排井实时水位";
											  image = '../images/newPic/kushuiwei.jpg';
											}else{
											  title = "北斜排井实时水位";
											  image = '../images/newPic/kuishuiwei1.jpg';
											}
										initpolygon1("polygon"+(j+1),arrs,arr,title,image,value1,value11,value2);
										if(sensor.alarmvalue2){
                                               alarm1 = parseFloat(sensor.alarmvalue2.toString());
                                               alarms1.push({x:0,y:alarm1});
                                               alarms1.push({x:100,y:alarm1});
                                               chartlist1[j].addSeries({name:"警戒线2",type:'line',data:alarms1,color:'red'});
                                               if(sensor.alarmvalue3){
                                                 alarm2 = parseFloat(sensor.alarmvalue3.toString());
                                                 alarms2.push({x:0,y:alarm2});
                                                 alarms2.push({x:100,y:alarm2});
                                                 chartlist1[j].addSeries({name:"警戒线3",type:'line',data:alarms2,color:'red'});
                                               }
                                            }
								});
		    				}
	    				});
        }
        function updatedatas()
        {
        		$.ajax({
		    				url:"kushuiweiTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    					$.each(datas.list,function(j,value){
										var arr =[];var alarms = [];var alarms1=[];var alarms2=[];
										var alarm = parseFloat(value.alarm1.toString());
										var alarm1 = null;var alarm2 = null;
										if(value.alarm2){
										  alarm1 = parseFloat(value.alarm2.toString());
										  if(value.alarm3){
										  alarm2 = parseFloat(value.alarm3.toString());
										  }
										}
										$.each(value.data,function(m,value2){
											var jctime =  parseFloat(value2.jctime.toString());
											var value1  = null;
											if(value2.value1!=null){
												value1  = parseFloat(value2.value1.toString());
											}
											arr.push({x:jctime,y:value1});
											alarms.push({x:jctime,y:alarm});
											alarms1.push({x:jctime,y:alarm1});
											alarms2.push({x:jctime,y:alarm2});
										});
										var ifbj = parseFloat(value.ifbj.toString());
										var ifguzhang = parseFloat(value.ifguzhang.toString());
										var color ='#204120';
										if(ifbj=="1") color = "#EA0000";
										if(ifguzhang=="1") color = "#cccccc";
										var title = null;
											if(j==0){
											  title = "北竖排井水位";
											}else{
											  title = "北斜排井水位";
											}
										initpolygon1detail("polygon"+(j+1)+"detail",color,value.name,'有毒有害气体监测',arr,alarms);
										if(alarm1!=null){
										  chartlist2[j].addSeries({name:"警戒线2",type:'spline',data:alarms1,color:"red"});
										  if(alarm2!=null){
										     chartlist2[j].addSeries({name:"警戒线3",type:'spline',data:alarms2,color:"red"});
										  }
										}
									//	chartlist2[j].addSeries({name:value.name,type:'spline',data:arr});
									//	chartlist2[j].addSeries({name:value.name,type:'spline',data:arr});
								});
		    				}
	    				});
	    }
	   function initialize(sensorname){
      	 // var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	   Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
       function windowopen(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	var url = "kushuiweiXX";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){
						//	var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCkushuiwei.action",
								type : "post",
								data : "reason=null" + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										Dialog.alert("解除成功",function(){window.location.href="../tubiao/kushuiwei.jsp";});
										//$("#msgbox").hide();
										
									} else {
										Dialog.alert("非报警状态,不能解除");
									}
								}
							});
       }
    </script>
</head>
<body style=" font-size:75%;" background="../images/about/bj.jpg" bgcolor="#f0f3f6">
    <br>
    
    <div id="polygon1detail" class="chart" style="width: 98%">
正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
    </div>
    
      
</body>
</html>
