<%@ page language="java"  pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
		<title>MineTLD</title>
		<link href="../themes/index.css" rel="stylesheet" type="text/css" />
		<style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
    </style>
		<script type="text/javascript" src="../js/jquery-1.7.1.js">
</script>
		<script type="text/javascript" src="../js/highcharts.js">
</script>
		<script type="text/javascript" src="../js/dark-green.js">
</script>
		<script type="text/javascript" src="../js/jianyi.js">
</script>
 <script type="text/javascript" src="../js/zDialog.js"></script>
      <script type="text/javascript" src="../js/zDrag.js"></script>
		<script type="text/javascript">
var chartlst = [];
var chartlsts = [];
var state = "nan";
function myrefresh() {
	window.location.reload();
}
setInterval('myrefresh()', 600000);
function initpolygon1(color, sensorname, arrs, arrss,tt) {
	Highcharts.setOptions( {
		colors : [ '#0A75A3', '#FF0000', '#00FF00' ]
	});
	var chart1 = new Highcharts.Chart( {

		chart : {
			renderTo : 'polygon1',
			backgroundColor : color,
			type : 'spline',
			events : {
				click : function() {
					windowopen("polygon1", color, sensorname);
				}
			}
		},

		title : {
			text : tt+'排水渠实时排流量',
			style : {
				fontSize : '20px'
			}

		},
		xAxis : {
			type : 'datetime',
			title : {
				text : '时间'
			},
			tickmarkPlacement : 'on',
			//tickInterval : 24 * 3600 * 1000,
			dateTimeLabelFormats : {
				 second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
			}

		},
		yAxis : {

			//tickInterval: 30, //自定义刻度
			//max: 10, //纵轴的最大值
			min : 0, //纵轴的最小值
			title : {//纵轴标题
				rotation : 0,
				text : '立<br>方<br>米<br/>/<br/>小<br>时'
			},
			lineWidth : 0.5
		},
		tooltip : {
			formatter : function() {
				return "时间：" + Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>' + ''
						+ this.series.name + ' : ' + this.y.toFixed(3) + ' 立方米/小时';
			}
		},
		credits : {
			enabled : false
		},
		series : [ {
			name : '排流量',
			type : 'spline',
			data : arrs
		}, {
			name : '警戒线',
			type : 'spline',
			data : arrss
		} ]
	});
	chartlst.push(chart1);
	//updatedatas();
}
function initpolygon1detail(sensorname, arr) {
	var chart;
	Highcharts.setOptions( {
		colors : [ '#0A75A3', '#FF0000', '#00FF00' ]
	});
	chart = new Highcharts.Chart( {
		chart : {
			renderTo : 'polygon1detail',
			backgroundColor : '#204120'
		/*events: {
		    click: function () {
		        windowopenAll(sensorname);
		    }
		}*/
		},
		title : {
			text : '累计排流量'
		},
		xAxis : {
			type : 'datetime',
			title : {
				text : '时间'
			},
			//tickmarkPlacement : 'on',
			tickInterval : 24 * 3600 * 1000*30,
			dateTimeLabelFormats : {
				second: '%H:%M:%S',  
		
		        minute: '%e日 %H:%M',  
		
		        hour: '%e日/%H:%M',  
		
		        day: '%e日/%m月',  
		
		        week: '%e. %b',  
		
		        month: '%m月 %y年',  
		
		        year: '%Y'
			},
			// },
			/*xAxis: {
			     categories: [
			        '00',
			        '01',
			        '02',
			        '03',
			        '04',
			        '05',
			        '06',
			        '07',
			        '08',
			        '09',
			        '10',
			        '11', 
			        '12',
			        '13',
			        '14',
			        '15',
			        '16',
			        '17',
			        '19',
			        '20',
			        '21',
			        '22',
			        '23'
			    ], */
			title : {
				text : '时间()'
			}
		//min:0
		},
		yAxis : {
			min : 0,
			//max : 5090,
			title : {
				rotation : 0,
				text : '立<br>方<br>米'
			}
		},
		plotOptions : {
			column : {
				pointWidth : 10,
				pointPadding : 0,
				borderWidth : 0
			}
		},
		tooltip : {
			formatter : function() {
				return '' + this.series.name + '累计排流量 : ' + this.y.toFixed(3)  + '立方米'+" <br/>" +"时间：" + Highcharts.dateFormat('%Y-%m-%d',this.x)+'<br/>' + '' ;//Highcharts.dataF
	}
},
credits : {
	enabled : false
},
series : [ {
	name : '排流量总计',
	type : 'column',
	data : arr
} ]
	});
	chartlsts.push(chart);
}
$(function() {
	$("#nan").click(function(){
                state = "nan";
               document.getElementById("polygon1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";

               document.getElementById("polygon1detail").innerHTML="";

               chartlst=[];chartlsts=[];
               updatedata();
               updatedatas();
            });
             $("#bei").click(function(){
               state = "bei";
                document.getElementById("polygon1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
              
               document.getElementById("polygon1detail").innerHTML="";

               chartlst=[];chartlsts=[];
               updatedata();
               updatedatas();
            });
         	updatedata();
            updatedatas();
});

function updatedata() {
	$.ajax( {
		url : "shenliuliangTB.action",
		type : "post",
		dataType : "json", // xml [json text] html
		data:"state="+state,
		complete : function() {
			/*alert("请求完成了?我不知道请求成功还是失败了");*/
		},
		error : function(xmlHttp, result) {
			alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:" + result);
		},
		success : function(datas) { //etoak - 服务器返回的响应数据
			$.each(datas.list, function(j, data) {
				var arrs = [];
				var arrss = []; var alarms1 =[];var alarms2=[];
				var alarm = parseFloat(data.alarm1.toString());
				var alarm1 = null;var alarm2 = null;
				if(data.alarm2){
				  alarm1 = parseFloat(data.alarm2.toString());
				  if(data.alarm3){
				    alarm2 = parseFloat(data.alarm3.toString());
				  }
				}
				$.each(data.data, function(m, value2) {
					var jctime = parseFloat(value2.jctime.toString());
				//	var value1 = parseFloat(value2.value.toString());
					var value3 = null;var value4 = null;
					if (value2.value1 != null) {
						value3 = parseFloat(value2.value1.toString());
					}
					if(state=='nan'){
					  value4 = value3*36/10*69;
					}else{
					  value4 = value3*36/10*7;
					}
					arrs.push( {
						x : jctime,
					
						y : (value4)
						
					});
					arrss.push( {
						x : jctime,
						y : alarm
					});
					alarms1.push({
						x : jctime,
						y : alarm1
					});
					alarms2.push({
						x : jctime,
						y : alarm2
					});
				});
				var ifbj = parseFloat(data.ifbj.toString());
				var ifguzhang = parseFloat(data.ifguzhang.toString());
				var color = "#204120";
				if (ifbj == "1")
				   { color = "#EA0000";}
				if(ifguzhang=="1"){
				color = "#cccccc";}
				var tt = "";
				if(state=='nan'){
				  tt = '南';
				}else{
				  tt = '北';
				}
				initpolygon1(color, data.name, arrs, arrss,tt);
				shuju(data.name);
	            dayAndMonth(data.name);
				if(alarm1!=null){
				  chartlst[0].addSeries({name:"警戒线2",type:'line',data:alarms1,color:"red"});
				  if(alarm2!=null){
				    chartlst[0].addSeries({name:"警戒线3",type:'line',data:alarms2,color:"red"});
				  }
				}
			});
		}
	});
}

function updatedatas() {
	$.ajax( {
		url : "shenliuliangTBLS.action",
		type : "post",
		dataType : "json", // xml [json text] html
		data:"state="+state,
		complete : function() {
			/*alert("请求完成了?我不知道请求成功还是失败了");*/
		},
		error : function(xmlHttp, result) {
			alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:" + result);
		},
		success : function(datas) { //etoak - 服务器返回的响应数据
			$.each(datas.list, function(j, value) {
				var arr = [];
				$.each(value.data, function(m, value2) {
					var jctime = parseFloat(value2.jctime.toString())+8000*3600;
					var value = parseFloat(value2.value.toString());
					var value4 = null;
					if(state=="nan"){value4=(value/1000)*69}else{value4=(value/1000)*7}
					arr.push( {
						x : jctime,
						y : (value4)
					});
				});
				initpolygon1detail(value.name, arr);
				//chartlsts[0].addSeries({name:value.name,type:'column',data:arr});
				});
		}
	});
}
function initialize(sensorname) {
	//var a = new xWin("1", 460, 400, 500, 200, "解除报警", "<br>" + sensorname+ "传感器报警,请核实报警原因,及时处理.");
	 Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
}
function windowopenAll(sensorname) {
	var url = "shenliuliangXXAll";
	Comment1("MyJsp.jsp?url=" + url + "&&sensorname=" + sensorname, 1200, 500);
}
function windowopen(polygon, color, sensorname) {
	if (color == "#EA0000") {
		/*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
		initialize(sensorname);
	} else {
		var url = "shenliuliangXX";
		//Comment1("MyJsp.jsp?url=" + url + "&&sensorname=" + sensorname, 1200,
				//500);
		open("MyJsp.jsp?url=" + url + "&&sensorname=" + sensorname);
	}
}
function JCbaojing(sensorname) {
					//	var baojing = $("#baojing").val();
						$.ajax( {
									url : "JCshenliuliang.action",
									type : "post",
									data : "reason=null" 
											+ "&&sensorname=" + sensorname,
									dataType : "json", // xml [json text] html
									complete : function() {
										/*alert("请求完成了?我不知道请求成功还是失败了");*/
									},
									error : function(xmlHttp, result) {
										alert("请求失败了---http状态码:"
												+ xmlHttp.status + " : 失败原因是:"
												+ result);
									},
									success : function(date) { //etoak - 服务器返回的响应数据

										if (date.flag) {
											Dialog.alert("解除成功",function(){window.location.href = "../tubiao/shenliuliang.jsp";});
											//$("#Button").unbind('click');
											//$("#msgbox").hide();
										} else {
											Dialog.alert("非报警状态,不能解除");
										}
									}
								});
}

var currentPage = 1; //第几页
var pageSize = 10; //一页显示多少条
var totalPage; //总页数
function shuju(name) {
	var dayAndMonth = $("#dayAndMonth").val();
	var dian = null;
	if (dayAndMonth == "one") {
		time = 3600;
		dian = "点";
	}
	if (dayAndMonth == "day") {
		time = 3600 * 24;
		dian = "日";
	}
	if (dayAndMonth == "Month") {
		time = 3600 * 24 * 30;
		dian = "月";
	}
	$.ajax( {
				url : "shujufenye.action",
				type : "post",
				data : "currentPage=" + currentPage + "&pageSize=" + pageSize
						+ "&dayAndMonth=" + dayAndMonth
						+ "&mark=TabShenliuliang&sensorname="+name,
				dataType : "json", // xml [json text] html
				complete : function() {
					/*alert("请求完成了?我不知道请求成功还是失败了");*/
				},
				error : function(xmlHttp, result) {
					alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
							+ result);
				},
				success : function(list) { //etoak - 服务器返回的响应数据
					var list1=null;
					var totalCount=null;
					$.each(list.list, function(i, data) {
						if (i == 0) {
							list1 = data;
						} else if (i == 1) {
							totalPage = data;
						} else if (i == 2) {
							totalCount = data;
						}
					});
					var html = "<table borderColor='#FFFFCC' height='430' cellSpacing='1' cellPadding='1' width='450' border='2' bh>"
							+ "<tr align='center'  height='5%' ><td width='25%'>时间</td><td>排流总量(立方米)</td></tr>";
					$.each(list1, function(i, eno) {
					var value4 = null;if(state=="nan"){value4=eno[0]*69/1000}else{value4=eno[0]*15/1000}
						html += "<tr>" + "<td><div align='center'>" + eno[2]
								+ dian + "</div></td>"
								+ "<td><div align='center'>"
								+ (value4).toFixed(2)
								+ "</div></td>" + "</tr>";
					});

					html += " </table>";
					$("#shuju").empty().append(html);
					$("button").unbind(); //清空button上的触发事件
					var html1 = "共有 " + totalCount + "条记录，当前第 " + currentPage
							+ "/" + totalPage + " 页";
					$("#fenyelabel").empty().append(html1);
					if (totalPage != 1) {
						if (currentPage == 1) {
							$("#next,#end").attr("disabled", false).click(
									function() {
										changeCurrentPage($(this).attr("id"));
									});
							$("#first,#pre").attr("disabled", true);
						} else if (currentPage == totalPage) {
							$("#first,#pre").attr("disabled", false).click(
									function() {
										changeCurrentPage($(this).attr("id"));
									});
							$("#next,#end").attr("disabled", true);
						} else {
							$("button").click(function() {
								changeCurrentPage($(this).attr("id"));
							});
							$("button").attr("disabled", false);
						}
					} else {
						$("button").attr("disabled", true);
					}
				}
			});
}
function changeCurrentPage(id) {
	if ("first" == id)
		currentPage = 1;
	else if ("pre" == id)
		currentPage -= 1;
	else if ("next" == id)
		currentPage += 1;
	else if ("end" == id)
		currentPage = totalPage;
	shuju();
}
function dayAndMonth(name) {
	$("#one").click(function() {
		$("#dayAndMonth").attr("value", "one");
		currentPage = 1;
		shuju(name);
	});
	$("#two").click(function() {
		$("#dayAndMonth").attr("value", "two");
		currentPage = 1;
		shujuTime(name);
	});
	$("#four").click(function() {
		$("#dayAndMonth").attr("value", "four");
		currentPage = 1;
		shujuTime(name);
	});
	$("#month").click(function() {
		$("#dayAndMonth").attr("value", "Month");
		currentPage = 1;
		shuju(name);
	});
	$("#day").click(function() {
		$("#dayAndMonth").attr("value", "day");
		currentPage = 1;
		shuju(name);
	});
}

function shujuTime(name) {
	var dayAndMonth = $("#dayAndMonth").val();
	$
			.ajax( {
				url : "shujufenyeTwoAndFour.action",
				type : "post",
				data : "currentPage=" + currentPage + "&pageSize=" + pageSize
						+ "&dayAndMonth=" + dayAndMonth
						+ "&mark=TabShenliuliang&sensorname="+name,
				dataType : "json", // xml [json text] html
				complete : function() {
					/*alert("请求完成了?我不知道请求成功还是失败了");*/
				},
				error : function(xmlHttp, result) {
					alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
							+ result);
				},
				success : function(list) { //etoak - 服务器返回的响应数据
					var list1=null;
					var totalCount=null;
					$.each(list.list, function(i, data) {
						if (i == 0) {
							list1 = data;
						} else if (i == 1) {
							totalPage = data;
						} else if (i == 2) {
							totalCount = data;
						}
					});
					var html = "<table borderColor='#FFFFCC' height='430' cellSpacing='1' cellPadding='1' width='450' border='2' bh>"
							+ "<tr align='center'  height='5%' ><td width='25%'>时间</td><td>排流总量(升)</td></tr>";
					$.each(list1, function(i, eno) {
					  var value4 = null;if(state=="nan"){value4=eno.value*69/1000}else{value4=eno.value*15/1000}
						//alert(i+"*/*"+eno);
							html += "<tr>" + "<td><div align='center'>"
									+ eno.jctime + "</div></td>"
									+ "<td><div align='center'>" + value4
									+ "</div></td>" + "</tr>";
						});

					html += " </table>";
					$("#shuju").empty().append(html);
					$("button").unbind(); //清空button上的触发事件
					var html1 = "共有 " + totalCount + "条记录，当前第 " + currentPage
							+ "/" + totalPage + " 页";
					$("#fenyelabel").empty().append(html1);
					if (totalPage != 1) {
						if (currentPage == 1) {
							$("#next,#end").attr("disabled", false).click(
									function() {
										changeCurrentPage1($(this).attr("id"));
									});
							$("#first,#pre").attr("disabled", true);
						} else if (currentPage == totalPage) {
							$("#first,#pre").attr("disabled", false).click(
									function() {
										changeCurrentPage1($(this).attr("id"));
									});
							$("#next,#end").attr("disabled", true);
						} else {
							$("button").click(function() {
								changeCurrentPage1($(this).attr("id"));
							});
							$("button").attr("disabled", false);
						}
					} else {
						$("button").attr("disabled", true);
					}
				}
			});
}
function changeCurrentPage1(id) {
	if ("first" == id)
		currentPage = 1;
	else if ("pre" == id)
		currentPage -= 1;
	else if ("next" == id)
		currentPage += 1;
	else if ("end" == id)
		currentPage = totalPage;
	shujuTime();
}
</script>
	</head>
	<body background="../images/about/bj.jpg"><br>
	   <div class="a">排流量</div>
	   <table border="1" align="center">
  <tr>
    <td><input type="button" id="nan" value="南排水渠"></td>
    <td><input type="button" id="bei" value="北排水渠"></td>
  </tr>
</table>
		<div id="polygon1" class="chart1" style="width: 98%;margin-left: 1%;"  >
			<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
		</div>
		<input type="hidden" value="one" id="dayAndMonth" />
		<div >
			<table borderColor="black" cellSpacing="1" cellPadding="1"
				width="98%" border="2" bgcolor="#204120" >
				<tr>
					<td width="60%">
						<div id="polygon1detail" class="chartSll" style="width: 100%">
							
						</div>
					</td>
					<td>
						<div id="shuju" ></div>
						<table border="0" align="right" cellpadding="0" cellspacing="0">
							<tr>
								<td>
									<label id="fenyelabel"></label>
									&nbsp;&nbsp;
								</td>
								<td width="40">
									<button id="first" style="height: 19px">
										首页
									</button>
								</td>
								<td width="45">
									<button id="pre" style="height: 19px">
										上一页
									</button>
								</td>
								<td width="45">
									<button id="next" style="height: 19px">
										下一页
									</button>
								</td>
								<td width="40">
									<button id="end" style="height: 19px">
										末页
									</button>
								</td>
							</tr>
						</table>
					</td>
					<td>
						<input type='button' id='one' value='时间(1h)' style="color: red" />
						<br />
						<br />
						<br />
						<!--<input type='button' id='two' value='时间(2h)' style="color: red" />
						<br />
						<br />
						<br />
						<input type='button' id='four' value='时间(4h)' style="color: red" />
						<br />
						<br />
						<br />-->
						<input type='button' id='day' value='时间(天)' style="color: red" />
						<br />
						<br />
						<br />
						<input type='button' id='month' value='时间(月)' style="color: red" />
					</td>
				</tr>
			</table>
		</div>
		<div id="msgbox"></div>
		<!--
    <embed src="../images/buffer.swf" width="750" height="60" loop="true" quality="high" type="application/x-shockwave-flash"/>
-->
	</body>
</html>
