<%@ page language="java"  pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>MineTLD</title>
    <link href="../themes/index.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
    </style>
    <script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
    <script type="text/javascript" src="../js/highcharts.js"></script>
    <script type="text/javascript" src="../js/dark-green.js"></script>
    <script type="text/javascript" src="../js/zDialog.js"></script>
    <script type="text/javascript" src="../js/zDrag.js"></script>
    <script type="text/javascript">
       var chartlst=[];
       var chartlsts=[];
       var state = 26;
               function myrefresh()
		{
      		 window.location.reload();
		}
		setInterval('myrefresh()',600000);
        function initpolygon1detail(polygon,color,sensorname,arrs,names,alarms) {
            Highcharts.setOptions({
               colors: ['#0000FF','#00FFFF','#0A75A3', '#FF0000']
            });
            var polygonchart1 = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    backgroundColor:color,
                    type: 'spline',
                    events: {
                        click: function () {
                            windowopen(polygon, color,sensorname);
                        }
                    }
                },
                title: {
                    text: '位置变化量'
                },
                xAxis: {
                	type :'datetime',
                    title: {
                        text: '时间'
                    },
                    tickmarkPlacement: 'on',
                 //	tickInterval : 24 * 3600 * 1000 ,
                 	dateTimeLabelFormats:  
		            {  
		              second: '%H:%M:%S',  
		
		              minute: '%e日 %H:%M',  
		
		              hour: '%e日/%H:%M',  
		
		              day: '%e日/%m月',  
		
		              week: '%e日/%m月',  
		
		              month: '%m月 %y年',  
		
		              year: '%Y'
		             } 
                },
                yAxis: {
                    title: {
                        rotation: 0,
                        text: '毫<br/>米'
                    }
                },
                tooltip: {
                    formatter: function () {
                        return "时间："+ Highcharts.dateFormat('%Y-%m-%d %H:%M:%S',this.x)+'<br/>'+
                        '传感器：'+this.series.name + ' <b>位移大小: ' + this.y+ '毫米';
                    }
                },
                credits: {
                    enabled: false
                },
                series: [{
                   name:names[0],
                   type:'spline',
                   data:arrs[0]
                },{
                   name:names[1],
                   type:'spline',
                   data:arrs[1]
                },{
                   name:names[2],
                   type:'spline',
                   data:arrs[2]
                },{
                   name:'警戒线',
                   type:'spline',
                   data:alarms[0]
                }]
            });
            chartlsts.push(polygonchart1);
        }
       
       function initpolygon1(polygon,image,zkbh,ymax,ymin,arrs,names) {
            Highcharts.setOptions({
                colors: ['#0000FF','#00FFFF','#0A75A3', '#00FF00','#FFFFFF','#FFFF00']
            });
           var polygonchart = new Highcharts.Chart({
                chart: {
                    renderTo: polygon,
                    plotBackgroundImage: image
                },

                title: {
                    text: '钻孔'+zkbh+'号--'+state+'层'
                },
                xAxis: {
                    //tickInterval: 1, //自定义刻度
                    max: 46, //纵轴的最大值
                    min: 11, //纵轴的最小值*/
                    gridLineWidth: 0,
                    title: {
                        text: 'X(米)'
                    },
                    tickmarkPlacement: 'on'//自增长
                },
                yAxis: {
                    tickInterval: 2, //自定义刻度
                    max: ymax, //纵轴的最大值
                    min: ymin, //纵轴的最小值
                    gridLineWidth: 0,
                    title: {//纵轴标题
                        rotation: 0,
                        text: 'Y<br/>（米）'
                    }
                },
                tooltip: {
                    formatter: function () {
                    	return '传感器：'+this.series.name ;
                    }
                },
                credits: {
                    enabled: false
                },
                plotOptions: {
                    series: {
                        marker: {
                            radius: 5,  //曲线点半径，默认是4
                            symbol: 'diamond' //曲线点类型："circle", "square", "diamond", "triangle","triangle-down"，默认是"circle"
                        }
                    }
                },
                /*legend: {
						layout: 'vertical',
						align: 'right',
						verticalAlign: 'top',
						x: 10,
						y: 100,
						backgroundColor:'black',
						borderColor:'red',
						itemMarginBottom:10,//图例内每条内容下边距值
						itemHoverStyle:{
							color:"red"
						}
				},*/
                series:[{
                   name:names[0],
                   type:'spline',
                   data:arrs[0]
                },{
                   name:names[1],
                   type:'spline',
                   data:arrs[1]
                },{
                   name:names[2],
                   type:'spline',
                   data:arrs[2]
                }]
            });
            chartlst.push(polygonchart);
        }
        
         $(function () {
            $("#26").click(function(){
               state = 26;
               document.getElementById("polygon1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygon2").innerHTML="";
               document.getElementById("polygon3").innerHTML="";
               document.getElementById("polygon4").innerHTML="";
               document.getElementById("polygon5").innerHTML="";
               document.getElementById("polygon6").innerHTML="";
               document.getElementById("polygondetail1").innerHTML="";
               document.getElementById("polygondetail2").innerHTML="";
               document.getElementById("polygondetail3").innerHTML="";
               document.getElementById("polygondetail4").innerHTML="";
               document.getElementById("polygondetail5").innerHTML="";
               document.getElementById("polygondetail6").innerHTML="";
               chartlst=[];chartlsts=[];
               updatedata("218","200");
               updatedatas();
            });
             $("#28").click(function(){
               state = 28;
                document.getElementById("polygon1").innerHTML="正在刷新 ,请稍后..<img alt='请稍候' src='../themes/azure/images/progressBar/progressBar_l.gif'>";
               document.getElementById("polygon2").innerHTML="";
               document.getElementById("polygon3").innerHTML="";
               document.getElementById("polygon4").innerHTML="";
               document.getElementById("polygon5").innerHTML="";
               document.getElementById("polygon6").innerHTML="";
               document.getElementById("polygondetail1").innerHTML="";
               document.getElementById("polygondetail2").innerHTML="";
               document.getElementById("polygondetail3").innerHTML="";
               document.getElementById("polygondetail4").innerHTML="";
               document.getElementById("polygondetail5").innerHTML="";
               document.getElementById("polygondetail6").innerHTML="";
               chartlst=[];chartlsts=[];
               updatedata("222","204");
               updatedatas();
            });
         	updatedata("218","200");
            updatedatas();
        });
        function updatedata(ymax,ymin)
        {
	           			$.ajax({
		    				url:"shuipingweiyiTB.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				data:"state="+state,
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //datas - 服务器返回的响应数据
							$.each(datas.list,function(i,data){
								var arrs = [];var names = []; var name1 =null;
									$.each(data,function(j,sensor){
										var xvalue = parseFloat(sensor.address2.toString());//初始x轴
										var yvalue = parseFloat(sensor.notalarmvalue.toString());//初始y轴
										var hvalue = parseFloat(sensor.kind.toString());//水平x轴
										var arr =[];
										zkbh = parseInt(sensor.zkbh.toString());
										var mark = "url(../images/dongtaijiance/img_4.png)";
											arr.push({x:xvalue,y:yvalue,marker: {symbol: mark}});
											arr.push({x:hvalue,y:yvalue});
											name1 = sensor.name+"(→"+(hvalue-xvalue).toFixed(2)+" 米)";
										    names[j] = name1;
										    arrs[j] = arr;
										//chartlst[0].addSeries({name:sensor.name+"(→"+(hvalue-xvalue).toFixed(2)+" 米)",type:'line',data:arr});
									});
									    var image= '../images/shuipingweiyi_1.jpg';
									    
										initpolygon1("polygon"+(i+1),image,i+1,ymax,ymin,arrs,names);
										
								});
								
		    				}
	    				});
        }
        
        function updatedatas()
        {
	           			$.ajax({
		    				url:"shuipingweiyiTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				data:"state="+state,
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    				$.each(datas.list,function(j,value){
										var sensorname = null;
										var names =[];
										var arrs = [];var alarms = [];var alarms1=[];var alarms2=[];	var alarm1 = null;var alarm2 = null;
										var color ="#204120";
										$.each(value,function(m,value2){
												var arrss = [];var arr =[];
												var alarm = parseFloat(value2.alarm1.toString());
											//	var alarm1 = null;var alarm2 = null;
												if(value2.alarm2){
												  alarm1 = parseFloat(value2.alarm2.toString());
												  if(value2.alarm3){
												    alarm2 = parseFloat(value2.alarm3.toString());
												  }
												}
												$.each(value2.data,function(n,value3){
														var jctime =  parseFloat(value3.jctime.toString());
														var value1 = null;
														if(value3.value){
															value1  = parseFloat(value3.value.toString());
														}
														arr.push({x:jctime,y:value1});
														arrss.push({x:jctime,y:alarm});
														alarms1.push({x:jctime,y:alarm1});
														alarms2.push({x:jctime,y:alarm2});
												});
												names[m] = value2.name;
												arrs[m] = arr;
												alarms[m] = arrss;
											var ifbj = parseFloat(value2.ifbj.toString());
											var ifguzhang = parseFloat(value2.ifguzhang.toString());
											if(ifbj==1){
												color = "#EA0000";
											}
											if(ifguzhang==1){
											    color = "#cccccc";
											}
											if(sensorname==null){
													sensorname = value2.name;
											}else{
													sensorname =sensorname+ "*"+value2.name;
											}
										});
										initpolygon1detail("polygondetail"+(j+1),color,sensorname,arrs,names,alarms);
										if(alarm1!=null){
										   chartlsts[j].addSeries({name:"警戒线2",type:'spline',data:alarms1,color:"red"});
										   if(alarm2!=null){
										     chartlsts[j].addSeries({name:"警戒线3",type:'spline',data:alarms2,color:"red"});
										   }
										}
								});
								}
	    				});
        }
        function initialize(sensorname){
      //	  var a = new xWin("1",460,400,500,200,"解除报警","<br>"+sensorname+"传感器报警,请核实报警原因,及时处理.");
      	   Dialog.confirm('警告：【'+sensorname+'】传感器报警，请及时处理！',function(){JCbaojing(sensorname);});
		}
       function windowopen(polygon,color,sensorname) {
            if(color=="#EA0000"){
	            /*Comment1("MyJsp.jsp?sensorname="+sensorname+"&&url=JCshenliuliang",540,200);*/
				initialize(sensorname);
            }else{
            	var url = "shuipingweiyiXX";
            	//Comment1("MyJsp.jsp?url="+url+"&&sensorname="+sensorname,1200,500);
            	open("MyJsp.jsp?url="+url+"&&sensorname="+sensorname);
            }
       }
       function JCbaojing(sensorname){
						//	var baojing = $("#baojing").val();
							$.ajax( {
								url : "JCshuipingweiyi.action",
								type : "post",
								data : "reason=null" + "&&sensorname=" + sensorname,
								dataType : "json", // xml [json text] html
								complete : function() {
									/*alert("请求完成了?我不知道请求成功还是失败了");*/
								},
								error : function(xmlHttp, result) {
									alert("请求失败了---http状态码:" + xmlHttp.status + " : 失败原因是:"
											+ result);
								},
								success : function(date) { //etoak - 服务器返回的响应数据
								
									if (date.flag) {
										Dialog.alert("解除成功");
										$("#Button").unbind('click');
										//$("#msgbox").hide();
										window.location.href="../tubiao/shuipingweiyi.jsp";
									} else {
										Dialog.alert("非报警状态,不能解除");
									}
								}
							});
       }
    </script>
</head>
<body background="../images/about/bj.jpg">
<br><div class="a">坝体内部水平位移</div>
<table border="1">
  <tr>
    <td><input type="button" id="26" value="26层子坝"></td>
    <td><input type="button" id="28" value="28层子坝"></td>
  </tr>
</table>
	<div id="polygon1" style="width: 49%" class="chart" >
         正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
    </div>
    <div id="polygondetail1" style="width: 49%" class="chart" >
        
    </div>
    <div id="polygon2" style="width: 49%" class="chart" >
        
    </div>
    <div id="polygondetail2"  style="width: 49%" class="chart" >
    
    </div>
    <div id="polygon3" style="width: 49%" class="chart" >
      
    </div>
     <div id="polygondetail3" style="width: 49%" class="chart" >
      
    </div>
<div id="polygon4" style="width: 49%" class="chart" >
      
    </div>
     <div id="polygondetail4" style="width: 49%" class="chart" >
      
    </div>
<div id="polygon5" style="width: 49%" class="chart" >
      
    </div>
     <div id="polygondetail5" style="width: 49%" class="chart" >
      
    </div>
<div id="polygon6" style="width: 49%" class="chart" >
      
    </div>
     <div id="polygondetail6" style="width: 49%" class="chart" >
      
    </div>

    
     <div id="msgbox" ></div>
</body>
</html>

