<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>水质监测</title>
<link href="../themes/index.css" rel="stylesheet" type="text/css" />
<style type="text/css">
        .a{
         font-family: Arial, Helvetica, sans-serif;
	     font-size: 33px;
	     line-height: 40px;
	     font-weight: bold;
	     color: #006600;
	     background-image: url(images/menu_bg2.gif);
	     background-repeat: no-repeat;
	     text-align: center;
	     display: block;
	     text-decoration: none;
       }
</style>
<script type="text/javascript" src="../js/jquery-1.7.1.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/highcharts-more.js"></script>
<script type="text/javascript" src="../js/dark-green.js"></script>
<script type="text/javascript" src="../js/zDialog.js"></script>
<script type="text/javascript" src="../js/zDrag.js"></script>
<script type="text/javascript">
   $(function(){
     //updatedatas();
     init();
   });
   function init(){
    $('#polygon1').highcharts({
	    chart: {
	        type: 'gauge',
	        plotBackgroundColor: null,
	        plotBackgroundImage: null,
	        plotBorderWidth: 0,
	        plotShadow: false
	    },
	    
	    title: {
	        text: 'PH计'
	    },
	    
	    pane: {
	        startAngle: -150,
	        endAngle: 150,
	        background: [{
	            backgroundColor: {
	                linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
	                stops: [
	                    [0, '#FFF'],
	                    [1, '#333']
	                ]
	            },
	            borderWidth: 0,
	            outerRadius: '109%'
	        }, {
	            backgroundColor: {
	                linearGradient: { x1: 0, y1: 0, x2: 0, y2: 1 },
	                stops: [
	                    [0, '#333'],
	                    [1, '#FFF']
	                ]
	            },
	            borderWidth: 1,
	            outerRadius: '107%'
	        }, {
	            // default background
	        }, {
	            backgroundColor: '#DDD',
	            borderWidth: 0,
	            outerRadius: '105%',
	            innerRadius: '103%'
	        }]
	    },
	       
	    // the value axis
	    yAxis: {
	        min: 0,
	        max: 14,
	        
	        minorTickInterval: 'auto',
	        minorTickWidth: 1,
	        minorTickLength: 1,
	        minorTickPosition: 'inside',
	        minorTickColor: '#666',
	
	        tickPixelInterval: 30,
	        tickWidth: 2,
	        tickPosition: 'inside',
	        tickLength: 10,
	        tickColor: '#666',
	        labels: {
	            step: 2,
	            rotation: 'auto'
	        },
	        title: {
	            text: 'PH值'
	        },
	        plotBands: [{
	            from: 0,
	            to: 5,
	            color: 'red' // green
	        }, {
	            from: 5,
	            to: 9,
	            color: 'green' // yellow
	        }, {
	            from: 9,
	            to: 14,
	            color: 'red' // red
	        }]        
	    },
	
	   series: [{
	        name: 'PH',
	        data: [8],
	    }]

  });
  function updatedatas(){
	           			$.ajax({
		    				url:"shuizhijianceTBLS.action",
		    				type:"post",
		    				dataType:"json", // xml [json text] html
		    				complete:function(){
		    					/*alert("请求完成了?我不知道请求成功还是失败了");*/
		    				},
		    				error:function(xmlHttp,result){
		    					alert("请求失败了---http状态码:"+xmlHttp.status+
		    						" : 失败原因是:"+result);
		    				},	
		    				success:function(datas){ //etoak - 服务器返回的响应数据
		    				var arrs1 = [];var arrs2 = [];
		    				$.each(datas.list,function(j,value2){
		    				  var jctime =  parseFloat(value2.jctime.toString());
		    				  var ph = parseFloat(value2.value1.toString());
		    				  var hzd = parseFloat(value2.value2.toString());
		    				  arrs1.push({x:jctime,y:ph});
		    				  arrs2.push({x:jctime,y:hzd});
							});
							init("polygon1",arrs1,"ph值监测","PH");
							init("polygon2",arrs2,"浑浊度监测","浑浊度");
							}
	    				});
        }}
</script>
</head>
<body style="font-size: 80%" background="../images/about/bj.jpg">
<br><div class="a">水质监测</div>
  <div id="polygon1" style="width: 49%" class="chart" >
         正在刷新 ,请稍后..<img alt="请稍候" src="../themes/azure/images/progressBar/progressBar_l.gif">
  </div>
  <div id="polygon2" style="width: 49%" class="chart" >
        
  </div>

</body>
</html>